const sensorsAPI = {
    //Технотон
    1: {
        name: "Технотон",
        packetFields: {
            0: { package_num: [50, 51, 52], sys_name: "id", name: "ID", modbus_cmd: [] },
            1: { package_num: [50, 51, 52], sys_name: "dt", name: "Время записи в БД", modbus_cmd: null },
            2: { package_num: [50, 51, 52], sys_name: "imei", name: "IMEI-устройства", modbus_cmd: null },
            3: { package_num: [50, 51, 52], sys_name: "pack_dt", name: "Время формирования пакета", modbus_cmd: null },
            4: { package_num: [50, 51, 52], sys_name: "pack_lat", name: "Широта точки формирования пакета", modbus_cmd: null },
            5: { package_num: [50, 51, 52], sys_name: "pack_lon", name: "Долгота точки формирования пакета", modbus_cmd: null },
            6: { package_num: [50, 51, 52], sys_name: "speed", name: "Скорость", modbus_cmd: null },
            7: { package_num: [50, 51, 52], sys_name: "voltage", name: "Напряжение питания, В", modbus_cmd: null },
            8: { package_num: [50, 51, 52], sys_name: "port_id", name: "Идентификатор порта", modbus_cmd: null },
            9: { package_num: [50, 51, 52], sys_name: "source_address", name: "Исходный адрес", modbus_cmd: null },
            10: { package_num: [50, 51, 52], sys_name: "geo", name: "Географические координаты", modbus_cmd: null },
            11: { package_num: [50, 51, 52], sys_name: "arhiv_date", name: "Дата архива", modbus_cmd: null },
            12: { package_num: [50, 51, 52], sys_name: "unix_time", name: "Дата формирования пакета", modbus_cmd: null },
        },
        fields: {
            0: {
                package_num: [50], sys_name: "fuel_used_hour", name: "Расход топлива, л/ч",
                en: true, coil: 0x03, start: 0, offset: 0, size: 0x02, type: "int16"
            },
            1: {
                package_num: [50, 51], sys_name: "fuel_used_total", name: "Расход топлива, л",
                en: true, coil: 0x03, start: 0, offset: [1, 2], size: 0x02, type: "int32"
            },
            2: {
                package_num: [50], sys_name: "fuel_temperature", name: "Температура топлива, °С",
                en: true, coil: 0x03, start: 0, offset: 3, size: 0x02, type: "int16"
            },
            3: {
                package_num: [50], sys_name: "fuel_used_total_hr", name: "Расход топлива, л за час",
                en: true, coil: 0x03, start: 0, offset: [4, 5], size: 0x02, type: "int32"
            },
            4: {
                package_num: [50], sys_name: "fuel_used_idle", name: "Расход топлива на холостом ходу, л",
                en: false, coil: 0x03, start: 0, offset: [6, 7], size: 0x02, type: "int32"
            },
            5: {
                package_num: [50], sys_name: "engine_runtime_idle", name: "Время работы на холостом ходу, с",
                en: false, coil: 0x03, start: 0, offset: [8, 9], size: 0x02, type: "int32"
            },
            6: {
                package_num: [50], sys_name: "fuel_used_hour_average", name: "Расход топлива, л/час",
                en: true, coil: 0x03, start: 0, offset: 10, size: 0x02, type: "int16"
            },
            7: {
                package_num: [50], sys_name: "engine_mode_fuel_flow", name: "Режим работы двигателя",
                en: false, coil: 0x03, start: 0, offset: 11, size: 0x02, type: "int16"
            },
            8: {
                package_num: [50], sys_name: "fuel_used_hour_feed", name: "Расход топлива, л/час подача",
                en: true, coil: 0x03, start: 0, offset: 12, size: 0x02, type: "int16"
            },
            9: {
                package_num: [50], sys_name: "fuel_used_hour_return", name: "Расход топлива, л/час обратка",
                en: true, coil: 0x03, start: 0, offset: 13, size: 0x02, type: "int16"
            },
            10: {
                package_num: [50], sys_name: "chamber_mode_feed", name: "Режим работы камеры подача",
                en: false, coil: 0x03, start: 0, offset: 14, size: 0x02, type: "int16"
            },
            11: {
                package_num: [50], sys_name: "chamber_mode_return", name: "Режим работы камеры обратка",
                en: false, coil: 0x03, start: 0, offset: 15, size: 0x02, type: "int16"
            },

            12: { package_num: [50], sys_name: "fuel_used_hour_kg", name: "Расход топлива, кг/ч", en: false },
            13: { package_num: [50, 51], sys_name: "fuel_used_total_kg", name: "Расход топлива, кг", en: false },
            14: { package_num: [50], sys_name: "fuel_used_total_hr_kg", name: "Расход топлива, кг за час", en: false },
            15: { package_num: [50], sys_name: "fuel_used_idle_kg", name: "Расход топлива на холостом ходу, кг", en: false },
            16: { package_num: [50], sys_name: "fuel_used_hour_average_kg", name: "Расход топлива, кг/час", en: false },
            17: { package_num: [50], sys_name: "fuel_used_hour_feed_kg", name: "Расход топлива, кг/час подача", en: false },
            18: { package_num: [50], sys_name: "fuel_used_hour_return_kg", name: "Расход топлива, кг/час обратка", en: false },

            19: {
                package_num: [51], sys_name: "fuel_used_total_idle", name: "Расход топлива на холостом ходу, л",
                en: false, coil: 0x03, start: 0, offset: [16, 17], size: 0x02, type: "int32"
            },
            20: {
                package_num: [51], sys_name: "fuel_used_total_optimal", name: "Расход топлива в оптимальном режиме, л",
                en: false, coil: 0x03, start: 0, offset: [18, 19], size: 0x02, type: "int32"
            },
            21: {
                package_num: [51], sys_name: "fuel_used_total_overload", name: "Расход топлива в режиме перегрузки, л",
                en: false, coil: 0x03, start: 0, offset: [20, 21], size: 0x02, type: "int32"
            },
            22: {
                package_num: [51], sys_name: "fuel_used_total_cheat", name: "Расход топлива в режиме обманки, л",
                en: false, coil: 0x03, start: 0, offset: [22, 23], size: 0x02, type: "int32"
            },
            23: {
                package_num: [51], sys_name: "fuel_used_total_resettable", name: "Расход топлива, л сбросимый",
                en: false, coil: 0x03, start: 0, offset: [24, 25], size: 0x02, type: "int32"
            },
            24: {
                package_num: [51], sys_name: "fuel_used_total_negative", name: "Расход топлива, л отрицательный",
                en: false, coil: 0x03, start: 0, offset: [36, 37], size: 0x02, type: "int32"
            },
            25: {
                package_num: [51], sys_name: "sensor_runtime", name: "Время работы датчика, с",
                en: true, coil: 0x03, start: 0, offset: [26, 27], size: 0x02, type: "int32"
            },
            26: {
                package_num: [51], sys_name: "sensor_runtime_idle", name: "Время работы датчика на холостом ходу, с",
                en: false, coil: 0x03, start: 0, offset: [28, 29], size: 0x02, type: "int32"
            },
            27: {
                package_num: [51], sys_name: "sensor_runtime_optimal", name: "Время работы датчика в оптимальном режиме, с",
                en: false, coil: 0x03, start: 0, offset: [30, 31], size: 0x02, type: "int32"
            },
            28: {
                package_num: [51], sys_name: "sensor_runtime_overload", name: "Время работы датчика в режиме перегрузки, с",
                en: false, coil: 0x03, start: 0, offset: [32, 33], size: 0x02, type: "int32"
            },
            29: {
                package_num: [51], sys_name: "sensor_runtime_cheat", name: "Время работы датчика в режиме обманки, с",
                en: false, coil: 0x03, start: 0, offset: [34, 35], size: 0x02, type: "int32"
            },
            30: {
                package_num: [51], sys_name: "sensor_runtime_resettable", name: "Время работы датчика, с сбросимый",
                en: false, coil: 0x03, start: 0, offset: [38, 39], size: 0x02, type: "int32"
            },
            31: {
                package_num: [51], sys_name: "sensor_runtime_negative", name: "Время работы датчика, с отрицательный",
                en: false, coil: 0x03, start: 0, offset: [36, 37], size: 0x02, type: "int32"
            },

            32: { package_num: [51], sys_name: "sensor_runtime_interference", name: "Время работы датчика, с помеха", en: false },
            33: { package_num: [51], sys_name: "sensor_runtime_interference_count", name: "Количество помех", en: false },
            34: { package_num: [51], sys_name: "fuel_used_total_idle_kg", name: "Расход топлива на холостом ходу, кг", en: false },
            35: { package_num: [51], sys_name: "fuel_used_total_optimal_kg", name: "Расход топлива в оптимальном режиме, кг", en: false },
            36: { package_num: [51], sys_name: "fuel_used_total_overload_kg", name: "Расход топлива в режиме перегрузки, кг", en: false },
            37: { package_num: [51], sys_name: "fuel_used_total_cheat_kg", name: "Расход топлива в режиме обманки, кг", en: false },
            38: { package_num: [51], sys_name: "fuel_used_total_resettable_kg", name: "Расход топлива, кг сбросимый", en: false },
            39: { package_num: [51], sys_name: "fuel_used_total_negative_kg", name: "Расход топлива, кг отрицательный", en: false },

            40: {
                package_num: [52], sys_name: "fuel_used_total_feed", name: "Расход топлива, л подача",
                en: true, coil: 0x03, start: 0, offset: [40, 41], size: 0x02, type: "int32"
            },
            41: {
                package_num: [52], sys_name: "fuel_used_total_idle_feed", name: "Расход топлива на холостом ходу, л подача",
                en: false, coil: 0x03, start: 0, offset: [42, 43], size: 0x02, type: "int32"
            },
            42: {
                package_num: [52], sys_name: "fuel_used_total_optimal_feed", name: "Расход топлива в оптимальном режиме, л подача",
                en: false, coil: 0x03, start: 0, offset: [44, 45], size: 0x02, type: "int32"
            },
            43: {
                package_num: [52], sys_name: "fuel_used_total_overload_feed", name: "Расход топлива в режиме перегрузки, л подача",
                en: false, coil: 0x03, start: 0, offset: [46, 47], size: 0x02, type: "int32"
            },
            44: {
                package_num: [52], sys_name: "fuel_used_total_cheat_feed", name: "Расход топлива в режиме обманки, л подача",
                en: false, coil: 0x03, start: 0, offset: [48, 49], size: 0x02, type: "int32"
            },
            45: {
                package_num: [52], sys_name: "chamber_runtime_feed", name: "Время работы камеры, с подача",
                en: true, coil: 0x03, start: 0, offset: [50, 51], size: 0x02, type: "int32"
            },
            46: {
                package_num: [52], sys_name: "chamber_runtime_idle_feed", name: "Время работы камеры на холостом ходу, с подача",
                en: true, coil: 0x03, start: 0, offset: [52, 53], size: 0x02, type: "int32"
            },
            47: {
                package_num: [52], sys_name: "chamber_runtime_optimal_feed", name: "Время работы камеры в оптимальном режиме, с подача",
                en: true, coil: 0x03, start: 0, offset: [54, 55], size: 0x02, type: "int32"
            },
            48: {
                package_num: [52], sys_name: "chamber_runtime_overload_feed", name: "Время работы камеры в режиме перегрузки, с подача",
                en: true, coil: 0x03, start: 0, offset: [56, 57], size: 0x02, type: "int32"
            },
            49: {
                package_num: [52], sys_name: "chamber_runtime_cheat_feed", name: "Время работы камеры в режиме обманки, с подача",
                en: true, coil: 0x03, start: 0, offset: [58, 59], size: 0x02, type: "int32"
            },
            50: {
                package_num: [52], sys_name: "fuel_used_total_return", name: "Расход топлива, л обратка",
                en: true, coil: 0x03, start: 0, offset: [60, 61], size: 0x02, type: "int32"
            },
            51: {
                package_num: [52], sys_name: "fuel_used_total_idle_return", name: "Расход топлива на холостом ходу, л обратка",
                en: false, coil: 0x03, start: 0, offset: [62, 63], size: 0x02, type: "int32"
            },
            52: {
                package_num: [52], sys_name: "fuel_used_total_optimal_return", name: "Расход топлива в оптимальном режиме, л обратка",
                en: false, coil: 0x03, start: 0, offset: [64, 65], size: 0x02, type: "int32"
            },
            53: {
                package_num: [52], sys_name: "fuel_used_total_overload_return", name: "Расход топлива в режиме перегрузки, л обратка",
                en: false, coil: 0x03, start: 0, offset: [66, 67], size: 0x02, type: "int32"
            },
            54: {
                package_num: [52], sys_name: "fuel_used_total_cheat_return", name: "Расход топлива в режиме обманки, л обратка",
                en: false, coil: 0x03, start: 0, offset: [68, 69], size: 0x02, type: "int32"
            },
            55: {
                package_num: [52], sys_name: "chamber_runtime_return", name: "Время работы камеры, с обратка",
                en: true, coil: 0x03, start: 0, offset: [70, 71], size: 0x02, type: "int32"
            },
            56: {
                package_num: [52], sys_name: "chamber_runtime_idle_return", name: "Время работы камеры на холостом ходу, с обратка",
                en: false, coil: 0x03, start: 0, offset: [72, 73], size: 0x02, type: "int32"
            },
            57: {
                package_num: [52], sys_name: "chamber_runtime_optimal_return", name: "Время работы камеры в оптимальном режиме, с обратка",
                en: false, coil: 0x03, start: 0, offset: [74, 75], size: 0x02, type: "int32"
            },
            58: {
                package_num: [52], sys_name: "chamber_runtime_overload_return", name: "Время работы камеры в режиме перегрузки, с обратка",
                en: false, coil: 0x03, start: 0, offset: [76, 77], size: 0x02, type: "int32"
            },
            59: {
                package_num: [52], sys_name: "chamber_runtime_cheat_return", name: "Время работы камеры в режиме обманки, с обратка",
                en: false, coil: 0x03, start: 0, offset: [78, 79], size: 0x02, type: "int32"
            },
            60: { package_num: [52], sys_name: "fuel_used_total_feed_kg", name: "Расход топлива, кг подача", en: false },
            61: { package_num: [52], sys_name: "fuel_used_total_idle_feed_kg", name: "Расход топлива на холостом ходу, кг подача", en: false },
            62: { package_num: [52], sys_name: "fuel_used_total_optimal_feed_kg", name: "Расход топлива в оптимальном режиме, кг подача", en: false },
            63: { package_num: [52], sys_name: "fuel_used_total_overload_feed_kg", name: "Расход топлива в режиме перегрузки, кг подача", en: false },
            64: { package_num: [52], sys_name: "fuel_used_total_cheat_feed_kg", name: "Расход топлива в режиме обманки, кг подача", en: false },
            65: { package_num: [52], sys_name: "fuel_used_total_return_kg", name: "Расход топлива, кг обратка", en: false },
            66: { package_num: [52], sys_name: "fuel_used_total_idle_return_kg", name: "Расход топлива на холостом ходу, кг обратка", en: false },
            67: { package_num: [52], sys_name: "fuel_used_total_optimal_return_kg", name: "Расход топлива в оптимальном режиме, кг обратка", en: false },
            68: { package_num: [52], sys_name: "fuel_used_total_overload_return_kg", name: "Расход топлива в режиме перегрузки, кг обратка", en: false },
            69: { package_num: [52], sys_name: "fuel_used_total_cheat_return_kg", name: "Расход топлива в режиме обманки, кг обратка", en: false },
        }
    },
    // Мехатроника
    2: {
        name: "Мехатроника (EuroSense)",
        packetFields: {
            0: { package_num: [66, 67], sys_name: "data_type", name: "DataType", modbus_cmd: null },
            1: { package_num: [66, 67], sys_name: "timestamp", name: "Время", modbus_cmd: null },
            2: { package_num: [66, 67], sys_name: "latitude", name: "Широта", modbus_cmd: null },
            3: { package_num: [66, 67], sys_name: "longitude", name: "Долгота", modbus_cmd: null },
            4: { package_num: [66, 67], sys_name: "speed", name: "Скорость", modbus_cmd: null },
            5: { package_num: [66, 67], sys_name: "voltage", name: "Напряжение бортовой сети, В", modbus_cmd: null },
            6: { package_num: [66, 67], sys_name: "unix_time", name: "Время Unix", modbus_cmd: null },
            7: { package_num: [66, 67], sys_name: "port_id", name: "Номер порта", modbus_cmd: null },
            8: { package_num: [66, 67], sys_name: "source_address", name: "Адрес источника", modbus_cmd: null },
            9: { package_num: [66, 67], sys_name: "pack_dt", name: "Адрес источника", modbus_cmd: null },
        },
        fields: {
            0: { package_num: [66], sys_name: "FuelVolH", name: "Объем топлива , л", en: true, coil: 0x03, start: 0x0000, offset: [0, 1], size: 0x02, type: "int32" },
            1: { package_num: [66], sys_name: "FuelFlow", name: "Текущая скорость потока, л/ч", en: true, coil: 0x03, start: 0x0000, offset: 2, size: 0x02, type: "int16" },
            2: { package_num: [66], sys_name: "Status", name: "Статус", en: true, coil: 0x03, start: 0x0000, offset: 3, size: 0x02, type: "uint16" },
            3: { package_num: [66], sys_name: "FuelVolFeed", name: "Объем топлива камеры подачи, л", en: true, coil: 0x03, start: 0x0000, offset: [4, 5], size: 0x02, type: "int32" },
            4: { package_num: [66], sys_name: "FuelFlowFeed", name: "Текущая скорость потока камеры подачи, л/ч", en: true, coil: 0x03, start: 0x0000, offset: 6, size: 0x02, type: "int16" },
            5: { package_num: [66], sys_name: "FuelTempFeed", name: "Температура камеры подачи, °С", en: true, coil: 0x03, start: 0x0000, offset: 7, size: 0x02, type: "int16" },
            6: { package_num: [66], sys_name: "FuelVolReturn", name: "Объем топлива камеры обратки, л", en: true, coil: 0x03, start: 0x0000, offset: [8, 9], size: 0x02, type: "int32" },
            7: { package_num: [66], sys_name: "FuelFlowReturn", name: "Текущая скорость потока камеры обратки, л/ч", en: true, coil: 0x03, start: 0x0000, offset: 10, size: 0x02, type: "int16" },
            8: { package_num: [66], sys_name: "FuelTempReturn", name: "Температура камеры обратки, °С", en: true, coil: 0x03, start: 0x0000, offset: 11, size: 0x02, type: "int16" },
            9: { package_num: [67], sys_name: "FuelVolIdle", name: "Накопленный объем топлива в режиме 'Холостой ход', л", en: false, coil: 0x03, start: 0x0000, offset: [12, 13], size: 0x02, type: "int32" },
            10: { package_num: [67], sys_name: "FuelVolNominal", name: "Накопленный объем топлива в режиме 'Номинальный', л", en: false, coil: 0x03, start: 0x0000, offset: [14, 15], size: 0x02, type: "int32" },

            // TODO offsets
            11: {
                package_num: [67], sys_name: "FuelVolOverload", name: 'Накопленный объем топлива в режиме "Перегрузка", л',
                en: false, coil: 0x03, start: 0x0000, offset: [16, 17], size: 0x02, type: "int32"
            },
            12: {
                package_num: [67], sys_name: "FuelVolCheat", name: 'Накопленный объем топлива в режиме "Накрутка" (в 0.01 л.)',
                en: false, coil: 0x03, start: 0x0000, offset: [18, 19], size: 0x02, type: "int32"
            },
            13: {
                package_num: [67], sys_name: "FuelVolNegative", name: '',
                en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32"
            },
            14: { package_num: [67], sys_name: "FuelVolIdleFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            15: { package_num: [67], sys_name: "FuelVolNominalFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            16: { package_num: [67], sys_name: "FuelVolOverloadFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            17: { package_num: [67], sys_name: "FuelVolCheatFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            18: { package_num: [67], sys_name: "FuelVolIdleReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            19: { package_num: [67], sys_name: "FuelVolNominalReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            20: { package_num: [67], sys_name: "FuelVolOverloadReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            21: { package_num: [67], sys_name: "FuelVolCheatReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },

            22: { package_num: [68], sys_name: "TimeIdle", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            23: { package_num: [68], sys_name: "TimeNominal", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            24: { package_num: [68], sys_name: "TimeOverload", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            25: { package_num: [68], sys_name: "TimeCheat", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            26: { package_num: [68], sys_name: "TimeNegative", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },

            27: { package_num: [68], sys_name: "TimeIdleFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            28: { package_num: [68], sys_name: "TimeNominalFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            29: { package_num: [68], sys_name: "TimeOverloadFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            30: { package_num: [68], sys_name: "TimeCheatFeed", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },

            31: { package_num: [68], sys_name: "TimeIdleReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            32: { package_num: [68], sys_name: "TimeNominalReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            33: { package_num: [68], sys_name: "TimeOverloadReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            34: { package_num: [68], sys_name: "TimeCheatReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            35: { package_num: [68], sys_name: "TimeCheatReturn", name: '', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },

            // TODO
            36: { package_num: [68], sys_name: "TimeInterference", name: 'Нахождение в режиме "Вмешательство" (в сек.)', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
            37: { package_num: [68], sys_name: "TimeSensor", name: 'Время работы датчика (в сек.)', en: false, coil: 0x03, start: 0x0000, offset: [0x14, 0x15], size: 0x02, type: "int32" },
        },
    },
    // ЭЛМЕТРО-Фломак
    3: {
        name: "ЭЛМЕТРО-Фломак",
        packetFields: {
            0: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "id", name: "ID", modbus_cmd: null },
            1: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "dt", name: "Время записи в БД", modbus_cmd: null },
            2: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "imei", name: "IMEI-код устройства", modbus_cmd: null },
            3: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "pack_dt", name: "Время формирования пакета", modbus_cmd: null },
            4: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "pack_lat", name: "Широта точки формирования пакета", modbus_cmd: null },
            5: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "pack_lon", name: "Долгота точки формирования пакета", modbus_cmd: null },
            6: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "speed", name: "Скорость", modbus_cmd: null },
            7: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "voltage", name: "Напряжение питания, В", modbus_cmd: null },
            8: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "port_id", name: "Идентификатор порта", modbus_cmd: null },
            9: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "source_address", name: "Исходный адрес", modbus_cmd: null },
            10: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "geo", name: "География", modbus_cmd: null },
            11: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "arhiv_date", name: "Дата архивных данных (SD-карты)", modbus_cmd: null },
            12: { package_num: [60, 61, 62, 63, 64, 65], sys_name: "unix_time", name: "Дата формирования пакета", modbus_cmd: null },
        },
        fields: {
            0: {
                package_num: [60], sys_name: "mass_flow", name: "Текущее измеренное значение массового расхода",
                en: true, coil: 0x03, start: 0, offset: [300, 301], size: 0x02, type: "float"
            },
            1: {
                package_num: [60], sys_name: "volume_flow", name: "Объемный расход",
                en: true, coil: 0x03, start: 0, offset: [302, 303], size: 0x02, type: "float"
            },
            2: {
                package_num: [60], sys_name: "density", name: "Текущее измеренное значение плотности",
                en: true, coil: 0x03, start: 0, offset: [304, 305], size: 0x02, type: "float"
            },
            3: {
                package_num: [60], sys_name: "temperature", name: "Текущее измеренное значение температуры",
                en: true, coil: 0x03, start: 0, offset: [306, 307], size: 0x02, type: "float"
            },
            4: {
                package_num: [60], sys_name: "reference_density", name: "Приведенная плотность (либо относительная плотность)",
                en: true, coil: 0x03, start: 0, offset: [308, 309], size: 0x02, type: "float"
            },
            5: {
                package_num: [60], sys_name: "corrected_volume_flow", name: "Приведенный объемный расход",
                en: true, coil: 0x03, start: 0, offset: [310, 311], size: 0x02, type: "float"
            },
            6: {
                package_num: [60], sys_name: "pressure", name: "Текущее давление в системе в единицах UnitPressure",
                en: true, coil: 0x03, start: 0, offset: [312, 313], size: 0x02, type: "float"
            },
            7: {
                package_num: [60], sys_name: "target_density", name: "Плотность целевой среды (нефть) в единицах измерения плотности (UnitDensity)",
                en: false, coil: 0x03, start: 0, offset: [350, 351], size: 0x02, type: "float"
            },
            8: {
                package_num: [60], sys_name: "carrier_density", name: "Плотность среды-носителя (вода) в единицах измерения плотности (UnitDensity)",
                en: false, coil: 0x03, start: 0, offset: [352, 353], size: 0x02, type: "float"
            },
            9: {
                package_num: [60], sys_name: "target_mass_flow", name: "Массовый расход целевой среды (нефть) в единицах измерения массового расхода (UnitMassFlow)",
                en: false, coil: 0x03, start: 0, offset: [354, 355], size: 0x02, type: "float"
            },
            10: {
                package_num: [60], sys_name: "carrier_mass_flow", name: "Массовый расход среды-носителя (вода) в единицах измерения массового расхода (UnitMassFlow)",
                en: false, coil: 0x03, start: 0, offset: [356, 357], size: 0x02, type: "float"
            },
            11: {
                package_num: [60], sys_name: "target_volume_flow", name: "Объемный расход целевой среды (нефть) в единицах измерения объемного расхода (UnitVolumeFlow)",
                en: false, coil: 0x03, start: 0, offset: [358, 359], size: 0x02, type: "float"
            },
            12: {
                package_num: [60], sys_name: "carrier_volume_flow", name: "Объемный расход среды-носителя (вода) в единицах измерения объемного расхода (UnitVolumeFlow)",
                en: false, coil: 0x03, start: 0, offset: [360, 361], size: 0x02, type: "float"
            },
            13: {
                package_num: [60], sys_name: "target_mass_concentration", name: "Текущая массовая концентрация целевой среды в потоке, выраженная в процентах",
                en: false, coil: 0x03, start: 0, offset: [362, 363], size: 0x02, type: "float"
            },
            14: {
                package_num: [60], sys_name: "carrier_mass_concentration", name: "Текущая массовая концентрация среды-носителя в потоке, выраженная в процентах",
                en: false, coil: 0x03, start: 0, offset: [364, 365], size: 0x02, type: "float"
            },
            15: {
                package_num: [60], sys_name: "target_volume_concentration", name: "Текущая объемная концентрация целевой среды в потоке, выраженная в процентах",
                en: false, coil: 0x03, start: 0, offset: [366, 367], size: 0x02, type: "float"
            },
            16: {
                package_num: [60], sys_name: "carrier_volume_concentration", name: "Текущая объемная концентрация среды-носителя в потоке, выраженная в процентах",
                en: false, coil: 0x03, start: 0, offset: [368, 369], size: 0x02, type: "float"
            },
            17: {
                package_num: [60], sys_name: "unit_mass_flow", name: "Единицы измерения массового расхода",
                en: true, coil: 0x03, start: 0, offset: 314, size: 0x02, type: "int"
            },
            18: {
                package_num: [60], sys_name: "unit_volume_flow", name: "Единицы измерения объемного расхода",
                en: true, coil: 0x03, start: 0, offset: 315, size: 0x02, type: "int"
            },
            19: {
                package_num: [60], sys_name: "unit_density", name: "Единицы измерения плотности",
                en: true, coil: 0x03, start: 0, offset: 316, size: 0x02, type: "int"
            },
            20: {
                package_num: [60], sys_name: "unit_temperature", name: "Единицы измерения температуры",
                en: true, coil: 0x03, start: 0, offset: 317, size: 0x02, type: "int"
            },
            21: {
                package_num: [60], sys_name: "unit_corrected_volume_flow", name: "Единицы измерения приведенного объемного расхода",
                en: false, coil: 0x03, start: 0, offset: 318, size: 0x02, type: "int"
            },
            22: {
                package_num: [60], sys_name: "unit_reference_density", name: "Единицы измерения приведенной плотности",
                en: false, coil: 0x03, start: 0, offset: 319, size: 0x02, type: "int"
            },
            //???
            23: { package_num: [60], sys_name: "unit_mass", name: "Единицы измерения массы", en: false },
            24: { package_num: [60], sys_name: "unit_volume", name: "Единицы измерения объема:", en: false },
            25: { package_num: [60], sys_name: "unit_corrected_volume", name: "Единицы измерения приведенного объема", en: false },
            26: { package_num: [60], sys_name: "up_time", name: "Время работы прибора с момента запуска в секундах", en: false },
            27: { package_num: [60], sys_name: "sensor_orient_input", name: "Пространственное положение сенсора", en: false },
            28: { package_num: [60], sys_name: "switches_state", name: "Состояние микропереключателей, находящихся на лицевой панели МП", en: false },

            /*
            61	serial_number_device	Серийный номер расходомера
            61	accuracy_device	Заявляемая точность измерения массового расхода в процентах
            61	certification	Тип сертификата
            61	calibration_dd	Дата калибровки расходомера (день)
            61	calibration_mm	Дата калибровки расходомера (месяц)
            61	calibration_yy	Дата калибровки расходомера (год-2000)
            61	sensor_max_qm	Номинальный массовый расход данного сенсора
            61	sensor_diameter	Диаметр условного прохода сенсора в миллиметрах
            61	sensor_tmax	Максимальная разрешенная температура среды, °C
            61	sensor_tmin	Минимальная разрешенная температура среды, °C
            61	max_pressure	Максимально допустимое значение давления среды для сенсора, МПа
            61	factory_zero_point	Заводское значение нуля, в мкс
            61	gas_fluid_border	Условная граница типа измеряемой среды: газ или жидкость (g/f). В единицах кг/м3
            61	density_measurement_accuracy	Заявляемая точность измерения плотности в единицах кг/м3
            61	sensor_ex_marking	Маркировка взрывозащиты сенсора
            61	processor_module_ex_marking	Маркировка взрывозащиты модуля процессора
            61	measure_module_ex_marking	Маркировка взрывозащиты измерительного модуля
            61	sn_measure_modul	Серийный номер измерительного модуля
            61	bf_hardrev	Версия аппаратной реализации измерительного модуля
            61	bf_modification	Версия модификации аппаратной реализации
            61	bf_softrev	Версия программного обеспечения для данной аппаратной реализации
            61	bf_daterev_dd	Дата калибровки температурного канала электроники модуля процессора (дд.мм.гг), дд
            61	bf_daterev_mm	Дата калибровки температурного канала электроники модуля процессора (дд.мм.гг), мм
            61	bf_daterev_yy	Дата калибровки температурного канала электроники модуля процессора (дд.мм.гг), гг
            61	hard_ware_version	Версия аппаратной реализации модуля процессора
            61	hard_modification	Версия модификации аппаратной реализации
            61	soft_revision	Версия программного обеспечения для данной аппаратной реализации
            61	revision_day	Дата обновления программно-аппаратной реализации электронного блока модуля процессора (дд.мм.гг), дд
            61	revision_month	Дата обновления программно-аппаратной реализации электронного блока модуля процессора (дд.мм.гг), мм
            61	revision_year	Дата обновления программно-аппаратной реализации электронного блока модуля процессора (дд.мм.гг), гг
            */
            29: {
                package_num: [61], sys_name: "serial_number_device", name: "Серийный номер расходомера",
                en: true, coil: 0x03, start: 0, offset: 0, size: 0x02, type: "int"
            },
            30: {
                package_num: [61], sys_name: "accuracy_device", name: "Заявляемая точность измерения массового расхода в процентах",
                en: false, coil: 0x03, start: 0, offset: [1, 2], size: 0x02, type: "float"
            },
            31: {
                package_num: [61], sys_name: "certification", name: "Тип сертификата",
                en: false, coil: 0x03, start: 0, offset: 3, size: 0x02, type: "int"
            },
            32: {
                package_num: [61], sys_name: "calibration_dd", name: "Дата калибровки расходомера (день)",
                en: false, coil: 0x03, start: 0, offset: 4, size: 0x02, type: "int"
            },
            33: {
                package_num: [61], sys_name: "calibration_mm", name: "Дата калибровки расходомера (месяц)",
                en: false, coil: 0x03, start: 0, offset: 5, size: 0x02, type: "int"
            },
            34: {
                package_num: [61], sys_name: "calibration_yy", name: "Дата калибровки расходомера (год-2000)",
                en: false, coil: 0x03, start: 0, offset: 6, size: 0x02, type: "int"
            },
            35: {
                package_num: [61], sys_name: "sensor_max_qm", name: "Номинальный массовый расход данного сенсора",
                en: false, coil: 0x03, start: 0, offset: [7, 8], size: 0x02, type: "float"
            },
            36: {
                package_num: [61], sys_name: "sensor_diameter", name: "Диаметр условного прохода сенсора в миллиметрах",
                en: false, coil: 0x03, start: 0, offset: 10, size: 0x02, type: "int"
            },
            37: {
                package_num: [61], sys_name: "sensor_tmax", name: "Максимальная разрешенная температура среды, °C",
                en: false, coil: 0x03, start: 0, offset: [11, 12], size: 0x02, type: "float"
            },
            38: {
                package_num: [61], sys_name: "sensor_tmin", name: "Минимальная разрешенная температура среды, °C",
                en: false, coil: 0x03, start: 0, offset: [13, 14], size: 0x02, type: "float"
            },
            39: {
                package_num: [61], sys_name: "max_pressure", name: "Максимально допустимое значение давления среды для сенсора, МПа",
                en: false, coil: 0x03, start: 0, offset: [45, 46], size: 0x02, type: "float"
            },

            40: {
                package_num: [61], sys_name: "factory_zero_point", name: "Заводское значение нуля, в мкс",
                en: false, coil: 0x03, start: 0, offset: [47, 48], size: 0x02, type: "float"
            },
            41: {
                package_num: [61], sys_name: "gas_fluid_border", name: "Условная граница типа измеряемой среды: газ или жидкость (g/f). В единицах кг/м3",
                en: false, coil: 0x03, start: 0, offset: [53, 54], size: 0x02, type: "float"
            },
            // ???
            42: { package_num: [61], sys_name: "density_measurement_accuracy", name: "Заявляемая точность измерения плотности в единицах кг/м3", en: false },
            43: {
                package_num: [61], sys_name: "sensor_ex_marking", name: "Маркировка взрывозащиты сенсора",
                en: true, coil: 0x03, start: 0, offset: 9, size: 0x02, type: "int"
            },
            // ???
            44: { package_num: [61], sys_name: "processor_module_ex_marking", name: "Маркировка взрывозащиты модуля процессора", en: false },
            45: { package_num: [61], sys_name: "measure_module_ex_marking", name: "Маркировка взрывозащиты измерительного модуля", en: false },
            46: {
                package_num: [61], sys_name: "sn_measure_modul", name: "Серийный номер измерительного модуля",
                en: true, coil: 0x03, start: 0, offset: 208, size: 0x02, type: "int"
            },
            // ???
            47: { package_num: [61], sys_name: "bf_hardrev", name: "Версия аппаратной реализации измерительного модуля", en: false },
            48: { package_num: [61], sys_name: "bf_modification", name: "Версия модификации аппаратной реализации", en: false },
            49: { package_num: [61], sys_name: "bf_softrev", name: "Версия программного обеспечения для данной аппаратной реализации", en: false },
            50: { package_num: [61], sys_name: "bf_daterev_dd", name: "Дата калибровки температурного канала электроники модуля процессора (дд.мм.гг), дд", en: false },
            51: { package_num: [61], sys_name: "bf_daterev_mm", name: "Дата калибровки температурного канала электроники модуля процессора (дд.мм.гг), мм", en: false },
            52: { package_num: [61], sys_name: "bf_daterev_yy", name: "Дата калибровки температурного канала электроники модуля процессора (дд.мм.гг), гг", en: false },


            53: {
                package_num: [61], sys_name: "hard_ware_version", name: "Версия аппаратной реализации модуля процессора",
                en: true, coil: 0x03, start: 0, offset: 400, size: 0x02, type: "int"
            },
            54: {
                package_num: [61], sys_name: "hard_modification", name: "Версия модификации аппаратной реализации",
                en: true, coil: 0x03, start: 0, offset: 401, size: 0x02, type: "int"
            },
            55: {
                package_num: [61], sys_name: "soft_revision", name: "Версия программного обеспечения для данной аппаратной реализации",
                en: true, coil: 0x03, start: 0, offset: 402, size: 0x02, type: "int"
            },
            56: {
                package_num: [61], sys_name: "revision_day", name: "Дата обновления программно-аппаратной реализации электронного блока модуля процессора (дд.мм.гг), дд",
                en: false, coil: 0x03, start: 0, offset: 403, size: 0x02, type: "int"
            },
            57: {
                package_num: [61], sys_name: "revision_month", name: "Дата обновления программно-аппаратной реализации электронного блока модуля процессора (дд.мм.гг), мм",
                en: false, coil: 0x03, start: 0, offset: 404, size: 0x02, type: "int"
            },
            58: {
                package_num: [61], sys_name: "revision_year", name: "Дата обновления программно-аппаратной реализации электронного блока модуля процессора (дд.мм.гг), гг",
                en: false, coil: 0x03, start: 0, offset: 405, size: 0x02, type: "int"
            },
            /*
                62	flow_damping	Функция используется для демпфирования измеряемого значения расхода
                62	mode_ref_density	Этим параметром определяется тип относительной плотности, которая используется в расчете нормализованного объемного расхода
                62	alfa	Линейный коэффициент температурной коррекции (?) для расчета приведенной плотности
                62	betta	Коэффициент температурной коррекции (?) для расчета относительной плотности
                62	ref_temperature	Значение температуры (tN), к которой приводятся фактические условия
                62	fix_unit_ref_density	Единицы измерения, в которых определен параметр Fixed_Reference_Density
                62	fixed_ref_density	Определяется фиксированное значение относительной плотности
                62	asslow_flow_cut_off	Определяется тип измеряемой величины, у которой следует детектировать снижение потока ниже определенного уровня и применять «обрезание» на все измеряемые расходы (массовый, объемный, приведенный объемный, массовые и объемные расходы отдельных компонентов)
                62	asslow_flow_unit	Определяются единицы измерения, в которых указывается пороговый уровень
                62	vallow_flow_cut_off	Пороговый уровень, при достижении которого, измеренный поток приравнивается 0
                62	time_shock	Значение шок-таймера для отсечки расхода. 
                62	dev_addr	Для назначения адреса устройства, от 1 до 247. Значение по умолчанию: 1
                62	baud_index	Определение скорости передачи
                62	parity	Определение режима контроля четности кадра
                62	write_protection	Параметр индицирует возможность операции записи параметров по MODBUS или по локальному интерфейсу
                62	density_damping	Функция используется для демпфирования измеряемого значения плотности
                62	modbus_map_mode	Определение режима Modbus. 
                62	float_byte_order	Порядок представления данных в регистрах с плавающей точкой
                62	press_compens_enable	Разрешение применения компенсации по давлению
                62	unit_pressure	Единицы измерения давления
                62	fix_pressure_input	Ввод фиксированного значения давления в единицах FixPressureUnit
                62	density_cutoff	Отсечка плотности. Задается во внутренних единицах кг/м3
                62	hart_tag01	Регистры HART тега устройства
                62	hart_tag23	Регистры HART тега устройства
                62	hart_tag45	Регистры HART тега устройства
                62	hart_tag67	Регистры HART тега устройства
                62	comm_protocol	Выбор протокола связи
                62	temp_damping	Функция используется для демпфирования измеряемого значения температуры
                62	pres_source_select	Выбор источника получения давления для компенсации
                62	caught_pres_fs_mode	Выбор поведения при ошибке захвата давления
                62	fix_pressure_unit	Единицы измерения фиксированного давления. Применяются для параметра FixPressureInput
                62	sum_failsafe_mode	Определяет специфическое поведение сумматоров при возникновении аварийной ситуации
            */
            59: {
                package_num: [62], sys_name: "flow_damping", name: "Функция используется для демпфирования измеряемого значения расхода",
                en: false, coil: 0x03, start: 0, offset: [406, 407], size: 0x02, type: "float"
            },
            60: {
                package_num: [62], sys_name: "mode_ref_density", name: "Этим параметром определяется тип относительной плотности, которая используется в расчете нормализованного объемного расхода",
                en: false, coil: 0x03, start: 0, offset: 410, size: 0x02, type: "int"
            },
            61: {
                package_num: [62], sys_name: "alfa", name: "Линейный коэффициент температурной коррекции (?) для расчета приведенной плотности",
                en: false, coil: 0x03, start: 0, offset: [411, 412], size: 0x02, type: "float"
            },
            62: {
                package_num: [62], sys_name: "betta", name: "Коэффициент температурной коррекции (?) для расчета относительной плотности",
                en: false, coil: 0x03, start: 0, offset: [413, 414], size: 0x02, type: "float"
            },
            63: {
                package_num: [62], sys_name: "ref_temperature", name: "Значение температуры (tN), к которой приводятся фактические условия",
                en: false, coil: 0x03, start: 0, offset: [415, 416], size: 0x02, type: "float"
            },
            64: {
                package_num: [62], sys_name: "fix_unit_ref_density", name: "Единицы измерения, в которых определен параметр Fixed_Reference_Density",
                en: false, coil: 0x03, start: 0, offset: 417, size: 0x02, type: "int"
            },
            65: {
                package_num: [62], sys_name: "fixed_ref_density", name: "Определяется фиксированное значение относительной плотности",
                en: false, coil: 0x03, start: 0, offset: [418, 419], size: 0x02, type: "float"
            },
            66: {
                package_num: [62], sys_name: "asslow_flow_cut_off", name: "Определяется тип измеряемой величины, у которой следует детектировать снижение потока ниже определенного уровня и применять «обрезание» на все измеряемые расходы (массовый, объемный, приведенный объемный, массовые и объемные расходы отдельных компонентов)",
                en: false, coil: 0x03, start: 0, offset: 421, size: 0x02, type: "int"
            },
            67: {
                package_num: [62], sys_name: "asslow_flow_unit", name: "Определяются единицы измерения, в которых указывается пороговый уровень",
                en: false, coil: 0x03, start: 0, offset: 422, size: 0x02, type: "int"
            },
            68: {
                package_num: [62], sys_name: "vallow_flow_cut_off", name: "Пороговый уровень, при достижении которого, измеренный поток приравнивается 0",
                en: false, coil: 0x03, start: 0, offset: 423, size: 0x02, type: "int"
            },
            69: {
                package_num: [62], sys_name: "time_shock", name: "Значение шок-таймера для отсечки расхода. ",
                en: false, coil: 0x03, start: 0, offset: [425, 426], size: 0x02, type: "float"
            },
            70: {
                package_num: [62], sys_name: "dev_addr", name: "Для назначения адреса устройства, от 1 до 247. Значение по умолчанию: 1",
                en: true, coil: 0x03, start: 0, offset: 430, size: 0x02, type: "int"
            },
            71: {
                package_num: [62], sys_name: "baud_index", name: "Определение скорости передачи",
                en: true, coil: 0x03, start: 0, offset: 431, size: 0x02, type: "int"
            },
            72: {
                package_num: [62], sys_name: "parity", name: "Определение режима контроля четности кадра",
                en: true, coil: 0x03, start: 0, offset: 432, size: 0x02, type: "int"
            },
            73: {
                package_num: [62], sys_name: "write_protection", name: "Параметр индицирует возможность операции записи параметров по MODBUS или по локальному интерфейсу",
                en: true, coil: 0x03, start: 0, offset: 433, size: 0x02, type: "int"
            },
            74: {
                package_num: [62], sys_name: "density_damping", name: "Функция используется для демпфирования измеряемого значения плотности",
                en: true, coil: 0x03, start: 0, offset: [434, 435], size: 0x02, type: "float"
            },
            75: {
                package_num: [62], sys_name: "modbus_map_mode", name: "Определение режима Modbus.",
                en: true, coil: 0x03, start: 0, offset: 436, size: 0x02, type: "int"
            },
            76: {
                package_num: [62], sys_name: "float_byte_order", name: "Порядок представления данных в регистрах с плавающей точкой",
                en: false, coil: 0x03, start: 0, offset: 437, size: 0x02, type: "int"
            },
            77: {
                package_num: [62], sys_name: "press_compens_enable", name: "Разрешение применения компенсации по давлению",
                en: false, coil: 0x03, start: 0, offset: 438, size: 0x02, type: "int"
            },
            78: {
                package_num: [62], sys_name: "unit_pressure", name: "Единицы измерения давления",
                en: false, coil: 0x03, start: 0, offset: 439, size: 0x02, type: "int"
            },
            // ??? Мб это стр 49, ExternalPresure, но там единицы UnitPressure
            79: { package_num: [62], sys_name: "fix_pressure_input", name: "Ввод фиксированного значения давления в единицах FixPressureUnit", en: false },
            80: {
                package_num: [62], sys_name: "density_cutoff", name: "Отсечка плотности. Задается во внутренних единицах кг/м3",
                en: true, coil: 0x03, start: 0, offset: [446, 447], size: 0x02, type: "float"
            },
            81: {
                package_num: [62], sys_name: "hart_tag01", name: "Регистры HART тега устройства",
                en: false, coil: 0x03, start: 0, offset: 459, size: 0x02, type: "int"
            },
            82: {
                package_num: [62], sys_name: "hart_tag23", name: "Регистры HART тега устройства",
                en: false, coil: 0x03, start: 0, offset: 460, size: 0x02, type: "int"
            },
            83: {
                package_num: [62], sys_name: "hart_tag45", name: "Регистры HART тега устройства",
                en: false, coil: 0x03, start: 0, offset: 461, size: 0x02, type: "int"
            },
            84: {
                package_num: [62], sys_name: "hart_tag67", name: "Регистры HART тега устройства",
                en: false, coil: 0x03, start: 0, offset: 462, size: 0x02, type: "int"
            },
            85: {
                package_num: [62], sys_name: "comm_protocol", name: "Выбор протокола связи",
                en: true, coil: 0x03, start: 0, offset: 463, size: 0x02, type: "int"
            },
            86: {
                package_num: [62], sys_name: "temp_damping", name: "Функция используется для демпфирования измеряемого значения температуры",
                en: false, coil: 0x03, start: 0, offset: [434, 435], size: 0x02, type: "float"
            },
            87: {
                package_num: [62], sys_name: "pres_source_select", name: "Выбор источника получения давления для компенсации",
                en: false, coil: 0x03, start: 0, offset: 466, size: 0x02, type: "int"
            },
            88: {
                package_num: [62], sys_name: "caught_pres_fs_mode", name: "Выбор поведения при ошибке захвата давления",
                en: false, coil: 0x03, start: 0, offset: 467, size: 0x02, type: "int"
            },
            // ???
            89: { package_num: [62], sys_name: "fix_pressure_unit", name: "Единицы измерения фиксированного давления. Применяются для параметра FixPressureInput", en: false },
            90: {
                package_num: [62], sys_name: "sum_failsafe_mode", name: "Определяет специфическое поведение сумматоров при возникновении аварийной ситуации",
                en: false, coil: 0x03, start: 0, offset: 700, size: 0x02, type: "int"
            },
            /*
                63	zero_point_adjust	При записи ZeroPointAdjust = START инициируется выполнение процедуры «Настройка нуля» для измерительного сенсора
                63	progress	Отображает в процентах время, затрачиваемое на настройку нуля, исходя из текущего значения ZpZeroingTime
                63	zero_point	Показывает значение текущего нуля для сенсора в условных единицах (мкс)
                63	m_factor_mass_flow	Функция определяет коэффициент наклона при настройке массового расхода
                63	m_offset_mass_flow	Функция определяет дополнительное смещение при настройке массового расхода
                63	m_factor_volume_flow	Функция определяет коэффициент наклона при настройке объемного расхода
                63	m_offset_volume_flow	Функция определяет смещение при настройке объемного расхода
                63	m_factor_density	Функция определяет коэффициент наклона при настройке определения плотности
                63	m_offset_density	Функция определяет смещение при настройке плотности
                63	m_factor_temperature	Функция определяет коэффициент наклона при настройке температуры
                63	m_offset_temperature	Функция определяет смещение при настройке температуры. Величина определяется во внутренних единицах (всегда в градусах Цельсия)
                63	restore_factory_zero_point	Выполняет процедуру сброса нуля сенсора к заводскому значению ZeroPoint = FactoryZeroPoint
                63	zp_source	Позволяет определить источник значения ZeroPoint
                63	zp_adjust_status	Результат процесса обнуления, определяет статус полученного значения нуля
                63	zp_curr_value	Демонстрирует полученное в процессе настройки значение текущего нуля для сенсора в условных единицах (мкс)
                63	zp_to_previous_offset	Демонстрирует сдвиг, между предыдущим значением нуля и новым, полученным в процессе настройки нуля
                63	zp_curr_value_std_dev	Демонстрирует СКО полученного в процессе настройки нуля значения
                63	zp_std_dev_limit	Определяет максимально допустимое значение СКО, которое может считаться корректным
                63	zp_to_factory_offset_limit	Задает диапазон допустимых значений нуля сенсора с центром в FactoryZeroPoint
                63	zp_zeroing_time	Задает время процесса обнуления
                63	zp_attempts_count	Демонстрирует число попыток установки нуля
                63	zp_pass_count	Демонстрирует число успешных попыток установки нуля
                63	zp_curr_val_to_fact_offset	Значение смещения полученного значения нуля от заводского: ZpCurrValue - FactoryZeroPoint
            */
            91: {
                package_num: [63], sys_name: "zero_point_adjust", name: "При записи ZeroPointAdjust = START инициируется выполнение процедуры «Настройка нуля» для измерительного сенсора",
                en: false, coil: 0x03, start: 0, offset: 500, size: 0x02, type: "int"
            },
            92: {
                package_num: [63], sys_name: "progress", name: "Отображает в процентах время, затрачиваемое на настройку нуля, исходя из текущего значения ZpZeroingTime",
                en: false, coil: 0x03, start: 0, offset: 501, size: 0x02, type: "int"
            },
            93: {
                package_num: [63], sys_name: "zero_point", name: "Показывает значение текущего нуля для сенсора в условных единицах (мкс)",
                en: false, coil: 0x03, start: 0, offset: [502, 503], size: 0x02, type: "float"
            },
            94: {
                package_num: [63], sys_name: "m_factor_mass_flow", name: "Функция определяет коэффициент наклона при настройке массового расхода",
                en: false, coil: 0x03, start: 0, offset: [504, 505], size: 0x02, type: "float"
            },
            95: {
                package_num: [63], sys_name: "m_offset_mass_flow", name: "Функция определяет дополнительное смещение при настройке массового расхода",
                en: false, coil: 0x03, start: 0, offset: [506, 507], size: 0x02, type: "float"
            },
            96: {
                package_num: [63], sys_name: "m_factor_volume_flow", name: "Функция определяет коэффициент наклона при настройке объемного расхода",
                en: false, coil: 0x03, start: 0, offset: [508, 509], size: 0x02, type: "float"
            },
            97: {
                package_num: [63], sys_name: "m_offset_volume_flow", name: "Функция определяет смещение при настройке объемного расхода",
                en: false, coil: 0x03, start: 0, offset: [510, 511], size: 0x02, type: "float"
            },
            98: {
                package_num: [63], sys_name: "m_factor_density", name: "Функция определяет коэффициент наклона при настройке определения плотности",
                en: false, coil: 0x03, start: 0, offset: [512, 513], size: 0x02, type: "float"
            },
            99: {
                package_num: [63], sys_name: "m_offset_density", name: "Функция определяет смещение при настройке плотности",
                en: false, coil: 0x03, start: 0, offset: [514, 515], size: 0x02, type: "float"
            },
            100: {
                package_num: [63], sys_name: "m_factor_temperature", name: "Функция определяет коэффициент наклона при настройке температуры",
                en: false, coil: 0x03, start: 0, offset: [516, 517], size: 0x02, type: "float"
            },
            101: {
                package_num: [63], sys_name: "m_offset_temperature", name: "Функция определяет смещение при настройке температуры. Величина определяется во внутренних единицах (всегда в градусах Цельсия)",
                en: false, coil: 0x03, start: 0, offset: [518, 519], size: 0x02, type: "float"
            },
            102: {
                package_num: [63], sys_name: "restore_factory_zero_point", name: "Выполняет процедуру сброса нуля сенсора к заводскому значению ZeroPoint = FactoryZeroPoint",
                en: false, coil: 0x03, start: 0, offset: 520, size: 0x02, type: "int"
            },
            103: {
                package_num: [63], sys_name: "zp_source", name: "Позволяет определить источник значения ZeroPoint",
                en: false, coil: 0x03, start: 0, offset: 521, size: 0x02, type: "int"
            },
            104: {
                package_num: [63], sys_name: "zp_adjust_status", name: "Результат процесса обнуления, определяет статус полученного значения нуля",
                en: false, coil: 0x03, start: 0, offset: 522, size: 0x02, type: "int"
            },
            105: {
                package_num: [63], sys_name: "zp_curr_value", name: "Демонстрирует полученное в процессе настройки значение текущего нуля для сенсора в условных единицах (мкс)",
                en: false, coil: 0x03, start: 0, offset: [523, 524], size: 0x02, type: "float"
            },
            106: {
                package_num: [63], sys_name: "zp_to_previous_offset", name: "Демонстрирует сдвиг, между предыдущим значением нуля и новым, полученным в процессе настройки нуля",
                en: false, coil: 0x03, start: 0, offset: [525, 526], size: 0x02, type: "float"
            },
            107: {
                package_num: [63], sys_name: "zp_curr_value_std_dev", name: "Демонстрирует СКО полученного в процессе настройки нуля значения",
                en: false, coil: 0x03, start: 0, offset: [527, 528], size: 0x02, type: "float"
            },
            108: {
                package_num: [63], sys_name: "zp_std_dev_limit", name: "Определяет максимально допустимое значение СКО, которое может считаться корректным",
                en: false, coil: 0x03, start: 0, offset: [529, 530], size: 0x02, type: "float"
            },
            109: {
                package_num: [63], sys_name: "zp_to_factory_offset_limit", name: "Задает диапазон допустимых значений нуля сенсора с центром в FactoryZeroPoint",
                en: false, coil: 0x03, start: 0, offset: [531, 532], size: 0x02, type: "float"
            },
            110: {
                package_num: [63], sys_name: "zp_zeroing_time", name: "Задает время процесса обнуления",
                en: false, coil: 0x03, start: 0, offset: [533, 534], size: 0x02, type: "float"
            },
            111: {
                package_num: [63], sys_name: "zp_attempts_count", name: "Демонстрирует число попыток установки нуля",
                en: false, coil: 0x03, start: 0, offset: 535, size: 0x02, type: "int"
            },
            112: {
                package_num: [63], sys_name: "zp_pass_count", name: "Демонстрирует число успешных попыток установки нуля",
                en: false, coil: 0x03, start: 0, offset: 536, size: 0x02, type: "int"
            },
            // ???
            113: { package_num: [63], sys_name: "zp_curr_val_to_fact_offset", name: "Значение смещения полученного значения нуля от заводского: ZpCurrValue - FactoryZeroPoint", en: false },

            /* 
                64	sum_id	Номер сумматора
                64	sum_assign	Назначение сумматора
                64	sum_unit	Единицы измерения массы 
                64	sum_state	Состояние сумматора
                64	sum_mode	Режим работы сумматора
                64	sum_reset	Обнуление сумматора (включая величину переполнения сумматора)
                64	sum_over_flow	Демонстрирует переполнение сумматора при превышении SumX > 107 (в текущих единицах измерения)
                64	sum	Значение сумматора
                64	sum_time	Время накопления в секундах, включая и промежутки в которых величина не суммировалась в связи с ошибками
            */
            // ??? 1 2 3 4 стр 21
            114: { package_num: [64], sys_name: "sum_id", name: "Номер сумматора", en: false },

            115: { package_num: [64], sys_name: "sum_assign", name: "Назначение сумматора", en: false },
            116: { package_num: [64], sys_name: "sum_unit", name: "Единицы измерения массы ", en: false },
            117: { package_num: [64], sys_name: "sum_state", name: "Состояние сумматора", en: false },
            118: { package_num: [64], sys_name: "sum_mode", name: "Режим работы сумматора", en: false },
            119: { package_num: [64], sys_name: "sum_reset", name: "Обнуление сумматора (включая величину переполнения сумматора)", en: false },
            120: { package_num: [64], sys_name: "sum_over_flow", name: "Демонстрирует переполнение сумматора при превышении SumX > 107 (в текущих единицах измерения)", en: false },
            121: { package_num: [64], sys_name: "sum", name: "Значение сумматора", en: false },
            122: { package_num: [64], sys_name: "sum_time", name: "Время накопления в секундах, включая и промежутки в которых величина не суммировалась в связи с ошибками", en: false },

            // FIXME ключи
            // 115: { package_num: [64], sys_name: "sum_assign1", name: "Назначение сумматора", en: true, coil: 0x03, start: 0, offset: 701, size: 0x02, type: "int" },
            // 115: { package_num: [64], sys_name: "sum_assign2", name: "Назначение сумматора", en: true, coil: 0x03, start: 0, offset: 800, size: 0x02, type: "int" },
            // 115: { package_num: [64], sys_name: "sum_assign3", name: "Назначение сумматора", en: true, coil: 0x03, start: 0, offset: 750, size: 0x02, type: "int" },
            // 115: { package_num: [64], sys_name: "sum_assign4", name: "Назначение сумматора", en: true, coil: 0x03, start: 0, offset: 850, size: 0x02, type: "int" },
            // 116: { package_num: [64], sys_name: "sum_unit1", name: "Единицы измерения массы ", en: true, coil: 0x03, start: 0, offset: 702, size: 0x02, type: "int" },
            // 116: { package_num: [64], sys_name: "sum_unit2", name: "Единицы измерения массы ", en: true, coil: 0x03, start: 0, offset: 801, size: 0x02, type: "int" },
            // 116: { package_num: [64], sys_name: "sum_unit3", name: "Единицы измерения массы ", en: true, coil: 0x03, start: 0, offset: 751, size: 0x02, type: "int" },
            // 116: { package_num: [64], sys_name: "sum_unit4", name: "Единицы измерения массы ", en: true, coil: 0x03, start: 0, offset: 851, size: 0x02, type: "int" },
            // 117: { package_num: [64], sys_name: "sum_state1", name: "Состояние сумматора", en: true, coil: 0x03, start: 0, offset: 703, size: 0x02, type: "int" },
            // 117: { package_num: [64], sys_name: "sum_state2", name: "Состояние сумматора", en: true, coil: 0x03, start: 0, offset: 802, size: 0x02, type: "int" },
            // 117: { package_num: [64], sys_name: "sum_state3", name: "Состояние сумматора", en: true, coil: 0x03, start: 0, offset: 752, size: 0x02, type: "int" },
            // 117: { package_num: [64], sys_name: "sum_state4", name: "Состояние сумматора", en: true, coil: 0x03, start: 0, offset: 852, size: 0x02, type: "int" },
            // 118: { package_num: [64], sys_name: "sum_mode1", name: "Режим работы сумматора", en: true, coil: 0x03, start: 0, offset: 704, size: 0x02, type: "int" },
            // 118: { package_num: [64], sys_name: "sum_mode2", name: "Режим работы сумматора", en: true, coil: 0x03, start: 0, offset: 803, size: 0x02, type: "int" },
            // 118: { package_num: [64], sys_name: "sum_mode3", name: "Режим работы сумматора", en: true, coil: 0x03, start: 0, offset: 753, size: 0x02, type: "int" },
            // 118: { package_num: [64], sys_name: "sum_mode4", name: "Режим работы сумматора", en: true, coil: 0x03, start: 0, offset: 853, size: 0x02, type: "int" },
            // 119: { package_num: [64], sys_name: "sum_reset1", name: "Обнуление сумматора (включая величину переполнения сумматора)", en: true, coil: 0x03, start: 0, offset: 705, size: 0x02, type: "int" },
            // 119: { package_num: [64], sys_name: "sum_reset2", name: "Обнуление сумматора (включая величину переполнения сумматора)", en: true, coil: 0x03, start: 0, offset: 804, size: 0x02, type: "int" },
            // 119: { package_num: [64], sys_name: "sum_reset3", name: "Обнуление сумматора (включая величину переполнения сумматора)", en: true, coil: 0x03, start: 0, offset: 754, size: 0x02, type: "int" },
            // 119: { package_num: [64], sys_name: "sum_reset4", name: "Обнуление сумматора (включая величину переполнения сумматора)", en: true, coil: 0x03, start: 0, offset: 854, size: 0x02, type: "int" },
            // 120: { package_num: [64], sys_name: "sum_over_flow1", name: "Демонстрирует переполнение сумматора при превышении SumX > 107 (в текущих единицах измерения)", en: true, coil: 0x03, start: 0, offset: 706, size: 0x02, type: "int" },
            // 120: { package_num: [64], sys_name: "sum_over_flow2", name: "Демонстрирует переполнение сумматора при превышении SumX > 107 (в текущих единицах измерения)", en: true, coil: 0x03, start: 0, offset: 805, size: 0x02, type: "int" },
            // 120: { package_num: [64], sys_name: "sum_over_flow3", name: "Демонстрирует переполнение сумматора при превышении SumX > 107 (в текущих единицах измерения)", en: true, coil: 0x03, start: 0, offset: 755, size: 0x02, type: "int" },
            // 120: { package_num: [64], sys_name: "sum_over_flow4", name: "Демонстрирует переполнение сумматора при превышении SumX > 107 (в текущих единицах измерения)", en: true, coil: 0x03, start: 0, offset: 855, size: 0x02, type: "int" },
            // 121: { package_num: [64], sys_name: "sum1", name: "Значение сумматора", en: true, coil: 0x03, start: 0, offset: 708, size: 0x02, type: "int" },
            // 121: { package_num: [64], sys_name: "sum2", name: "Значение сумматора", en: true, coil: 0x03, start: 0, offset: 807, size: 0x02, type: "int" },
            // 121: { package_num: [64], sys_name: "sum3", name: "Значение сумматора", en: true, coil: 0x03, start: 0, offset: 757, size: 0x02, type: "int" },
            // 121: { package_num: [64], sys_name: "sum4", name: "Значение сумматора", en: true, coil: 0x03, start: 0, offset: 857, size: 0x02, type: "int" },
            // 122: { package_num: [64], sys_name: "sum_time1", name: "Время накопления в секундах, включая и промежутки в которых величина не суммировалась в связи с ошибками", en: true, coil: 0x03, start: 0, offset: 710, size: 0x02, type: "int" },
            // 122: { package_num: [64], sys_name: "sum_time2", name: "Время накопления в секундах, включая и промежутки в которых величина не суммировалась в связи с ошибками", en: true, coil: 0x03, start: 0, offset: 809, size: 0x02, type: "int" },
            // 122: { package_num: [64], sys_name: "sum_time3", name: "Время накопления в секундах, включая и промежутки в которых величина не суммировалась в связи с ошибками", en: true, coil: 0x03, start: 0, offset: 759, size: 0x02, type: "int" },
            // 122: { package_num: [64], sys_name: "sum_time4", name: "Время накопления в секундах, включая и промежутки в которых величина не суммировалась в связи с ошибками", en: true, coil: 0x03, start: 0, offset: 859, size: 0x02, type: "int" },

            /*
                65	common_notice	Отражает наличие/отсутствие исключительных событий. 
                65	notice1	Событие 1
                65	notice2	Событие 2
                65	notice3	Событие 3
                65	notice4	Событие 4
                65	notice5	Событие 5
                65	notice6	Событие 6
                65	notice7	Событие 7
                65	notice8	Событие 8
            */
            123: {
                package_num: [65], sys_name: "common_notice", name: "Отражает наличие/отсутствие исключительных событий. ",
                en: false, coil: 0x03, start: 0, offset: 1500, size: 0x02, type: "int"
            },
            124: {
                package_num: [65], sys_name: "notice1", name: "Событие 1",
                en: false, coil: 0x03, start: 0, offset: 1501, size: 0x02, type: "int"
            },
            125: {
                package_num: [65], sys_name: "notice2", name: "Событие 2",
                en: false, coil: 0x03, start: 0, offset: 1502, size: 0x02, type: "int"
            },
            126: {
                package_num: [65], sys_name: "notice3", name: "Событие 3",
                en: false, coil: 0x03, start: 0, offset: 1503, size: 0x02, type: "int"
            },
            127: {
                package_num: [65], sys_name: "notice4", name: "Событие 4",
                en: false, coil: 0x03, start: 0, offset: 1504, size: 0x02, type: "int"
            },
            128: {
                package_num: [65], sys_name: "notice5", name: "Событие 5",
                en: false, coil: 0x03, start: 0, offset: 1505, size: 0x02, type: "int"
            },
            129: {
                package_num: [65], sys_name: "notice6", name: "Событие 6",
                en: false, coil: 0x03, start: 0, offset: 1506, size: 0x02, type: "int"
            },
            130: {
                package_num: [65], sys_name: "notice7", name: "Событие 7",
                en: false, coil: 0x03, start: 0, offset: 1507, size: 0x02, type: "int"
            },
            131: {
                package_num: [65], sys_name: "notice8", name: "Событие 8",
                en: false, coil: 0x03, start: 0, offset: 1508, size: 0x02, type: "int"
            },
        }
    },
    //ДТСХХХ-ХХХ.RS
    // чет пусто пока :(
    4: {
        name: "ДТСХХХ-ХХХ.RS",
        fields: {
            0: {
                package_num: [53], sys_name: "unknown", name: "Датчик не описан",
                en: true, coil: 0x03, start: 0, offset: 0, size: 0x02, type: "int16"
            },
        }
    },
    // ИГЛА
    5: {
        name: "ИГЛА КИП-Б.5",
        packetFields: {
            0: { package_num: [56, 57, 58, 59], sys_name: "data_type", name: "Номер пакета", modbus_cmd: null },
            1: { package_num: [56, 57, 58, 59], sys_name: "timestamp", name: "Время", modbus_cmd: null },
            2: { package_num: [56, 57, 58, 59], sys_name: "pack_lon", name: "Широта", modbus_cmd: null },
            3: { package_num: [56, 57, 58, 59], sys_name: "pack_lat", name: "Долгота", modbus_cmd: null },
            4: { package_num: [56, 57, 58, 59], sys_name: "speed", name: "Скорость", modbus_cmd: null },
            5: { package_num: [56, 57, 58, 59], sys_name: "voltage", name: "Напряжение бортовой сети, В", modbus_cmd: null },
            6: { package_num: [56, 57, 58, 59], sys_name: "unix_time", name: "Время Unix", modbus_cmd: null },
            7: { package_num: [56, 57, 58, 59], sys_name: "port_id", name: "Номер порта", modbus_cmd: null },
            8: { package_num: [56, 57, 58, 59], sys_name: "source_address", name: "Адрес источника", modbus_cmd: null },
            9: { package_num: [56, 57, 58, 59], sys_name: "pack_dt", name: "Время пакета", modbus_cmd: null },
        },
        fields: {
            0: {
                package_num: [56], sys_name: "level_oil", name: "Уровень НП, мм", en: true,
                coil: 0x04, start: 0x1000, offset: 0x02, size: 0x02, type: "float"
            },
            1: {
                package_num: [56], sys_name: "level_layer_1", name: "Уровень слоя 1, мм", en: false,
                coil: 0x04, start: 0x1000, offset: 0x04, size: 0x02, type: "float"
            },
            2: {
                package_num: [56], sys_name: "level_layer_2", name: "Уровень слоя 2, мм", en: false,
                coil: 0x04, start: 0x1000, offset: 0x06, size: 0x02, type: "float"
            },
            3: {
                package_num: [56], sys_name: "level_h2o", name: "Уровень H2O, мм", en: true,
                coil: 0x04, start: 0x1000, offset: 0x08, size: 0x02, type: "float"
            },
            4: {
                package_num: [56], sys_name: "temp_oil", name: "Средняя температура НП, °С", en: true,
                coil: 0x04, start: 0x1000, offset: 0x0A, size: 0x02, type: "float"
            },
            5: {
                package_num: [56], sys_name: "density_oil", name: "Средняя плотность НП, кг/м3", en: true,
                coil: 0x04, start: 0x1000, offset: 0x0C, size: 0x02, type: "float"
            },
            6: {
                package_num: [56], sys_name: "volume", name: "Объем НП (брутто), м3", en: true,
                coil: 0x04, start: 0x1000, offset: 0x0E, size: 0x02, type: "float"
            },
            7: {
                package_num: [56], sys_name: "volume_oil", name: "Объем НП (нетто), м3", en: true,
                coil: 0x04, start: 0x1000, offset: 0x10, size: 0x02, type: "float"
            },
            8: {
                package_num: [56], sys_name: "volume_h2o", name: "Объем H2O, м3", en: false,
                coil: 0x04, start: 0x1000, offset: 0x12, size: 0x02, type: "float"
            },
            9: {
                package_num: [56], sys_name: "mass", name: "Масса НП (брутто), кг", en: true,
                coil: 0x04, start: 0x1000, offset: 0x14, size: 0x02, type: "float"
            },
            10: {
                package_num: [56], sys_name: "mass_oil", name: "Масса НП (нетто), кг", en: true,
                coil: 0x04, start: 0x1000, offset: 0x16, size: 0x02, type: "float"
            },
            11: {
                package_num: [56], sys_name: "mass_h2o", name: "Масса H2O, кг", en: false,
                coil: 0x04, start: 0x1000, offset: 0x18, size: 0x02, type: "float"
            },
            12: {
                package_num: [56], sys_name: "status", name: "Глобальный статус устройства", en: true,
                coil: 0x03, start: 0x2000, offset: 0x05, size: 0x02, type: "float"
            },
            13: {
                package_num: [56], sys_name: "error_status", name: "Глобальная ошибка", en: true,
                coil: 0x03, start: 0x2000, offset: 0x06, size: 0x02, type: "float"
            },

            14: {
                package_num: [57], sys_name: "Copyright", name: "Копирайт", en: false,
                coil: 0x03, start: 0x2000, offset: 0x10, size: 0x10, type: "str32"
            },
            15: {
                package_num: [57], sys_name: "Revision", name: "Версия ПО и дата", en: false,
                coil: 0x03, start: 0x2000, offset: 0x20, size: 0x08, type: "str16"
            },
            16: {
                package_num: [57], sys_name: "CorrLevelOil", name: "Поправка по уровню НП, мм", en: true,
                coil: 0x03, start: 0x1500, offset: 0x08, size: 0x02, type: "float"
            },
            17: {
                package_num: [57], sys_name: "CorrLevelH2O", name: "Поправка по уровню H2O, мм", en: false,
                coil: 0x03, start: 0x1500, offset: 0x0A, size: 0x02, type: "float"
            },
            18: {
                package_num: [57], sys_name: "CorrDensP1", name: "Поправка по плотности в точке(ДП) № 1, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x50, size: 0x02, type: "float"
            },
            19: {
                package_num: [57], sys_name: "CorrDensP2", name: "Поправка по плотности в точке(ДП) № 2, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x52, size: 0x02, type: "float"
            },
            20: {
                package_num: [57], sys_name: "CorrDensP3", name: "Поправка по плотности в точке(ДП) № 3, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x54, size: 0x02, type: "float"
            },
            21: {
                package_num: [57], sys_name: "CorrDensP4", name: "Поправка по плотности в точке(ДП) № 4, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x56, size: 0x02, type: "float"
            },
            22: {
                package_num: [57], sys_name: "CorrDensP5", name: "Поправка по плотности в точке(ДП) № 5, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x58, size: 0x02, type: "float"
            },
            23: {
                package_num: [57], sys_name: "SensorLenSeg", name: "Длина сенсора в сегментах", en: false,
                coil: 0x03, start: 0x2000, offset: 0x31, size: 0x02, type: "int"
            },

            // 24: { package_num: [57], sys_name: "configBuf", name: "Буфер конфигурации>", 
            // coil: 0x04, start: 0x2000, offset: 0xD0, size: 0x08 },
            24: {
                package_num: [57], sys_name: "SensorLenMm", name: "Длина сенсора, мм", en: false,
                coil: 0x03, start: 0x2000, offset: 0xD0, size: 0x02, type: "int"
            },
            25: {
                package_num: [57], sys_name: "CorrLevelOil01Mm", name: "Поправка по уровню НП, 0.1мм", en: false,
                coil: 0x03, start: 0x2000, offset: 0xD2, size: 0x02, type: "int"
            },
            26: {
                package_num: [57], sys_name: "TempSensorCount", name: "Количество термометров", en: true,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            27: {
                package_num: [57], sys_name: "DensSensorCount", name: "Количество плотномеров", en: true,
                coil: 0x03, start: 0x2000, offset: 0xD6, size: 0x02, type: "int"
            },

            // не нашли в даташите
            28: {
                package_num: [58], sys_name: "SensorNumber", name: "Номер сенсора", en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            29: {
                package_num: [58], sys_name: "Type", name: "Тип", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            30: {
                package_num: [58], sys_name: "State", name: "Состояние датчика", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            31: {
                package_num: [58], sys_name: "Height", name: "Высота, мм", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            32: {
                package_num: [58], sys_name: "Value", name: "Значение измерения", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            33: {
                package_num: [58], sys_name: "ID0", name: "ID, первая часть", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            34: {
                package_num: [58], sys_name: "ID1", name: "ID, вторая часть", modbus_cmd: null, en: false,
                coil: 0x04, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            35: {
                package_num: [58], sys_name: "ID2", name: "ID, третья часть", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            36: {
                package_num: [58], sys_name: "ID3", name: "ID, четвертая часть", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
        }
    },
    6: {
        name: "КИП-Б (с блоком БПИ.2)",
        packetFields: {
            0: { package_num: [56, 57, 58, 59], sys_name: "DataType", name: "Номер пакета", modbus_cmd: null },
            1: { package_num: [56, 57, 58, 59], sys_name: "TimeStamp", name: "Время", modbus_cmd: null },
            2: { package_num: [56, 57, 58, 59], sys_name: "Latitude", name: "Широта", modbus_cmd: null },
            3: { package_num: [56, 57, 58, 59], sys_name: "Longitude", name: "Долгота", modbus_cmd: null },
            4: { package_num: [56, 57, 58, 59], sys_name: "Speed", name: "Скорость", modbus_cmd: null },
            5: { package_num: [56, 57, 58, 59], sys_name: "Voltage", name: "Напряжение бортовой сети, В", modbus_cmd: null },
            6: { package_num: [56, 57, 58, 59], sys_name: "UnixTime", name: "Время Unix", modbus_cmd: null },
            7: { package_num: [56, 57, 58, 59], sys_name: "PortID", name: "Номер порта", modbus_cmd: null },
            8: { package_num: [56, 57, 58, 59], sys_name: "SourceAddress", name: "Адрес источника", modbus_cmd: null },
        },
        fields: {
            0: {
                package_num: [56], sys_name: "LevelOil", name: "Уровень НП, мм", en: true,
                coil: 0x04, start: 0x1000, offset: 0x02, size: 0x02, type: "float"
            },
            1: {
                package_num: [56], sys_name: "LevelLayer1", name: "Уровень слоя 1, мм", en: false,
                coil: 0x04, start: 0x1000, offset: 0x04, size: 0x02, type: "float"
            },
            2: {
                package_num: [56], sys_name: "LevelLayer2", name: "Уровень слоя 2, мм", en: false,
                coil: 0x04, start: 0x1000, offset: 0x06, size: 0x02, type: "float"
            },
            3: {
                package_num: [56], sys_name: "LevelH2O", name: "Уровень H2O, мм", en: false,
                coil: 0x04, start: 0x1000, offset: 0x08, size: 0x02, type: "float"
            },
            4: {
                package_num: [56], sys_name: "TempOil", name: "Средняя температура НП, °С", en: true,
                coil: 0x04, start: 0x1000, offset: 0x0A, size: 0x02, type: "float"
            },
            5: {
                package_num: [56], sys_name: "DensityOil", name: "Средняя плотность НП, кг/м3", en: true,
                coil: 0x04, start: 0x1000, offset: 0x0C, size: 0x02, type: "float"
            },
            6: {
                package_num: [56], sys_name: "Volume", name: "Объем НП (брутто), м3", en: true,
                coil: 0x04, start: 0x1000, offset: 0x0E, size: 0x02, type: "float"
            },
            7: {
                package_num: [56], sys_name: "VolumeOil", name: "Объем НП (нетто), м3", en: true,
                coil: 0x04, start: 0x1000, offset: 0x10, size: 0x02, type: "float"
            },
            8: {
                package_num: [56], sys_name: "VolumeH2O", name: "Объем H2O, м3", en: false,
                coil: 0x04, start: 0x1000, offset: 0x12, size: 0x02, type: "float"
            },
            9: {
                package_num: [56], sys_name: "Mass", name: "Масса НП (брутто), кг", en: true,
                coil: 0x04, start: 0x1000, offset: 0x14, size: 0x02, type: "float"
            },
            10: {
                package_num: [56], sys_name: "MassOil", name: "Масса НП (нетто), кг", en: true,
                coil: 0x04, start: 0x1000, offset: 0x16, size: 0x02, type: "float"
            },
            11: {
                package_num: [56], sys_name: "MassH2O", name: "Масса H2O, кг", en: false,
                coil: 0x04, start: 0x1000, offset: 0x18, size: 0x02, type: "float"
            },
            12: {
                package_num: [56], sys_name: "Status", name: "Глобальный статус устройства", en: true,
                coil: 0x03, start: 0x2000, offset: 0x05, size: 0x02, type: "float"
            },
            13: {
                package_num: [56], sys_name: "ErrorStatus", name: "Глобальная ошибка", en: true,
                coil: 0x03, start: 0x2000, offset: 0x06, size: 0x02, type: "float"
            },

            14: {
                package_num: [57], sys_name: "Copyright", name: "Копирайт", en: false,
                coil: 0x03, start: 0x2000, offset: 0x10, size: 0x10, type: "str32"
            },
            15: {
                package_num: [57], sys_name: "Revision", name: "Версия ПО и дата", en: false,
                coil: 0x03, start: 0x2000, offset: 0x20, size: 0x08, type: "str16"
            },
            16: {
                package_num: [57], sys_name: "CorrLevelOil", name: "Поправка по уровню НП, мм", en: true,
                coil: 0x03, start: 0x1500, offset: 0x08, size: 0x02, type: "float"
            },
            17: {
                package_num: [57], sys_name: "CorrLevelH2O", name: "Поправка по уровню H2O, мм", en: false,
                coil: 0x03, start: 0x1500, offset: 0x0A, size: 0x02, type: "float"
            },
            18: {
                package_num: [57], sys_name: "CorrDensP1", name: "Поправка по плотности в точке(ДП) № 1, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x50, size: 0x02, type: "float"
            },
            19: {
                package_num: [57], sys_name: "CorrDensP2", name: "Поправка по плотности в точке(ДП) № 2, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x52, size: 0x02, type: "float"
            },
            20: {
                package_num: [57], sys_name: "CorrDensP3", name: "Поправка по плотности в точке(ДП) № 3, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x54, size: 0x02, type: "float"
            },
            21: {
                package_num: [57], sys_name: "CorrDensP4", name: "Поправка по плотности в точке(ДП) № 4, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x56, size: 0x02, type: "float"
            },
            22: {
                package_num: [57], sys_name: "CorrDensP5", name: "Поправка по плотности в точке(ДП) № 5, кг/м3", en: false,
                coil: 0x03, start: 0x1500, offset: 0x58, size: 0x02, type: "float"
            },
            23: {
                package_num: [57], sys_name: "SensorLenSeg", name: "Длина сенсора в сегментах", en: false,
                coil: 0x03, start: 0x2000, offset: 0x31, size: 0x02, type: "uint16"
            },

            // 24: { package_num: [57], sys_name: "configBuf", name: "Буфер конфигурации>", 
            // coil: 0x04, start: 0x2000, offset: 0xD0, size: 0x08 },
            24: {
                package_num: [57], sys_name: "SensorLenMm", name: "Длина сенсора, мм", en: false,
                coil: 0x03, start: 0x2000, offset: 0xD0, size: 0x01, type: "uint16"
            },
            25: {
                package_num: [57], sys_name: "CorrLevelOil01Mm", name: "Поправка по уровню НП, 0.1мм", en: false,
                coil: 0x03, start: 0x2000, offset: 0xD2, size: 0x01, type: "uint16"
            },
            26: {
                package_num: [57], sys_name: "TempSensorCount", name: "Количество термометров", en: true,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x01, type: "uint8"
            },
            27: {
                package_num: [57], sys_name: "DensSensorCount", name: "Количество плотномеров", en: true,
                coil: 0x03, start: 0x2000, offset: 0xD6, size: 0x01, type: "uint8"
            },

            // не нашли в даташите
            28: {
                package_num: [58], sys_name: "SensorNumber", name: "Номер сенсора", en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            29: {
                package_num: [58], sys_name: "Type", name: "Тип", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            30: {
                package_num: [58], sys_name: "State", name: "Состояние датчика", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            31: {
                package_num: [58], sys_name: "Height", name: "Высота, мм", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            32: {
                package_num: [58], sys_name: "Value", name: "Значение измерения", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            33: {
                package_num: [58], sys_name: "ID0", name: "ID, первая часть", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            34: {
                package_num: [58], sys_name: "ID1", name: "ID, вторая часть", modbus_cmd: null, en: false,
                coil: 0x04, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            35: {
                package_num: [58], sys_name: "ID2", name: "ID, третья часть", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
            36: {
                package_num: [58], sys_name: "ID3", name: "ID, четвертая часть", modbus_cmd: null, en: false,
                coil: 0x03, start: 0x2000, offset: 0xD4, size: 0x02, type: "int"
            },
        }
    },
}