var WifiManager = null
var wifiResults = []
var wifiNetwork = null
var wifiPassword = "123456789"
var wifiConfig = {
    SSID: null, // SSID must be enclosed in double quotes
    preSharedKey: wifiPassword, // For WPA/WPA2 networks
    hiddenSSID: false,
    allowedProtocols: {
        RSN: true, // For WPA2
        WPA: true  // For WPA
    },
    allowedKeyManagement: {
        WPA_PSK: true
    },
    allowedPairwiseCiphers: {
        CCMP: true
    },
    allowedGroupCiphers: {
        CCMP: true,
        TKIP: true
    }
};
var wifiID = null

//document.addEventListener('deviceready', wifiRoutine, false)

function wifiRoutine() {
    WifiManager = WifiWizard2
    WifiWizard2.isWifiEnabled()
        .then((enabled) => {
            console.log("wifi enabled", enabled)
            if(enabled){
                wifiConnected()
                wifiScan()
            }
            if(!enabled){
                wifiEnable()
            }
        })
        .catch((err) => { console.log(err) })

}

function wifiEnable() {
    WifiWizard2.setWifiEnabled()
    .then(() => {
        console.log("wifi enabled")
        wifiScan()
    })
    .catch((err) => { console.log("ENABLE ",err) })

}
function wifiScan() {
    WifiWizard2.scan()
    .then((result) => {
        console.log("wifi scanned")
        wifiResults = result
        wifiNetwork = wifiGetNetwork()
        wifiConnect(wifiNetwork)
    })
    .catch((err) => { console.log("SCAN ",err) })
}
function wifiGetNetwork() {
    for (let network of wifiResults) {
        if (network.SSID.startsWith("EcoTech_")) {
            return network

        }
    }
    return false
}
function wifiConnected() {
    WifiWizard2.getConnectedNetworkID()
    .then((result) => {
        console.log("wifi connected", result)
        wifiID = result
    })
    .catch((err) => { console.log("CONNECTED ",err) })
}
function wifiConnect(network) {
    WifiWizard2.connect(network.SSID, false, wifiPassword, "WPA", false)
    .then((result) => {
        console.log("wifi connected", result)
        wifiID = result
    })
    .catch((err) => { console.log("CONNECT ",err) })
}
