var serial = {
    requestPermission: function(dev, opts, successCallback, errorCallback) {
        if (typeof opts === 'function') {  //user did not pass opts
          errorCallback = successCallback;
          successCallback = opts;
          opts = {};
        }
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'requestPermission',
            [{'dev': dev,'opts': opts}]
        );
    },
    open: function(dev, opts, successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'openSerial',
            [{'dev': dev, 'opts': opts}]
        );
    },
    write: function(dev, data, successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'writeSerial',
            [{'dev': dev, 'data': data}]
        );
    },
    writeHex: function(dev, hexString, successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'writeSerialHex',
            [{'dev': dev, 'data': hexString}]
        );
    },
    read: function(dev, successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'readSerial',
            [{'dev': dev}]
        );
    },
    close: function(dev, successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'closeSerial',
            [{'dev': dev}]
        );
    },
    registerReadCallback: function(dev, successCallback, errorCallback) {
        cordova.exec(
            successCallback,
            errorCallback,
            'Serial',
            'registerReadCallback',
            [{'dev': dev}]
        );
    }

};
module.exports = serial;
