import React from 'react';
import './CustomButton.css';

function CustomButton({ margin, minHeight, text, color, width, height, onClick, disabled, colorText }) {
  const buttonStyle = {
    backgroundColor: color,
    color: colorText,
    width: width,
    height: height,
    disabled: disabled ? disabled : false,
    onClick: onClick ? onClick : '',
    minHeight: minHeight,
    margin: margin,
  };

  return (
    <button className="custom-btn" onClick={onClick} disabled={disabled} style={buttonStyle}>
      {text}
    </button>
  );
}

export default CustomButton;
