import React from 'react';
import './CustomInput.css'

const CustomInput = ({ label, value, onChange, isDisabled, type = 'text', ...props }) => {
  return (
    <div className="custom-input-container">
      <label className="custom-input-label">{label}</label>
      <input
        type={type}
        value={value}
        disabled={isDisabled}
        onChange={onChange}
        className="custom-input"
        {...props}
      />
    </div>
  );
};

export default CustomInput;
