import React, { useState } from 'react';
import './TabSwitch.css';

const TabSwitch = ({ disabled, onClick }) => {
  const [activeTab, setActiveTab] = useState('left');

  const sort = { left: true, right: false };

  const handleTabClick = (direction) => {
    if (!disabled && activeTab !== direction) {
      setActiveTab(direction);
      onClick(sort[direction]);
    }
  };

  return (
    <div className="switch">
      <span className="text-center">Сортировать по</span>
      <div className="switch-container">
        <div className={`taeb-switch ${activeTab} text-center`}>
          <div
            className={`taeb ${activeTab === 'left' ? 'active' : ''}`}
            onClick={() => handleTabClick('left')}
            taeb-direction="left"
            style={disabled ? { backgroundColor: '#999', color: '#ffffff', cursor: 'not-allowed' } : {}}
          >
            dt
          </div>
          <div className={`taeb ${activeTab === 'right' ? 'active' : ''}`} onClick={() => handleTabClick('right')} taeb-direction="right">
            pack_dt
          </div>
        </div>
      </div>
    </div>
  );
};

export default TabSwitch;
