/* eslint-disable react-hooks/exhaustive-deps */
import { useDispatch, useSelector } from 'react-redux';
import { userLogin } from '../../redux/actions/auth.action';
import { useEffect } from 'react';
import { useNavigate } from 'react-router-dom';
import Error from '../Error/Error';
import './Login.css';

export default function Login() {
  const dispatch = useDispatch();
  const navigate = useNavigate();
  const { error, values, isLoading } = useSelector((state) => state.user);

  useEffect(() => {
    if (values.id) {
      navigate('/packets');
    }
  }, [values]);

  const handlerSubmit = (event) => {
    event.preventDefault();
    const payload = {
      login: event.target.login.value,
      password: event.target.password.value,
    };
    dispatch(userLogin(payload));
  };

  return (
    <div className="login-form-container">
      <form className="login-form" onSubmit={handlerSubmit}>
        <div className="uk-margin">
          <div className="uk-inline">
            <span className="uk-form-icon uk-form-icon-flip" uk-icon="icon: mail" />
            <input className="uk-input" id="login" type="text" name="login" placeholder="Login" autoFocus autoComplete="off" required />
          </div>
        </div>

        <div className="uk-margin">
          <div className="uk-inline">
            <span className="uk-form-icon uk-form-icon-flip" uk-icon="icon: lock" />
            <input className="uk-input" id="password" type="password" name="password" placeholder="Password" autoComplete="off" required />
          </div>
        </div>
        <center>
          <button className="uk-button uk-button-secondary" disabled={isLoading}>
            {isLoading ? 'is loading...' : 'SignIn'}
          </button>
        </center>
      </form>
      {error && <Error error={error?.error} />}
    </div>
  );
}
