import React from 'react';
import './CustomModal.css';

const CustomModal = ({ isOpen, content, onClose, showCloseButton, width, height }) => {
  if (!isOpen) {
    return null;
  }

  const modalStyle = {
    width: width ? `${width}px` : '500px',
    height: height ? `${height}px` : '300px',
  };

  return (
    <div className="modal-overlay">
      <div className="modal-content" style={modalStyle}>
        {showCloseButton && (
          <button onClick={onClose} className="close-button">
            &times;
          </button>
        )}

        {content && content}
      </div>
    </div>
  );
};

CustomModal.defaultProps = {
  showCloseButton: true,
  width: 500,
  height: 300,
};

export default CustomModal;
