import { useDispatch, useSelector } from 'react-redux';
import { useRef, useState } from 'react';
import { addUser } from '../../redux/actions/users.action';
import './AddUser.css'
import Error from '../Error/Error';
import Modal from '../Modal/Modal';

export default function AddUser({ clouseModal }) {
  const dispatch = useDispatch();
  const { error, isLoading } = useSelector((state) => state.user);
  const [isModal, setModal] = useState(false);
  const formRef = useRef();
  const onClouseModal = () => {
    setModal(false);
    clouseModal();
  };

  const handlerSubmit = (event) => {
    event.preventDefault();
    const form = event.target;
    const payload = Object.fromEntries(new FormData(form));
    dispatch(addUser(payload));
    formRef.current.reset();
    setModal(true);
  };

  return (
    <>
      <form ref={formRef} onSubmit={handlerSubmit}>
        <div className="uk-margin">
          <div className="uk-inline">
            <span className="uk-form-icon uk-form-icon-flip" uk-icon="icon: user" />
            <input className="uk-input add-user-btn" type="text" id="login" name="login" placeholder="Name" autoFocus autoComplete="off" required />
          </div>
        </div>

        <div className="uk-margin">
          <div className="uk-inline">
            <span className="uk-form-icon uk-form-icon-flip" uk-icon="icon: lock" />
            <input className="uk-input add-user-btn" id="password" type="password" name="password" placeholder="Password" autoComplete="off" required />
          </div>
        </div>

        <div className="uk-margin">
          <div className="uk-inline">
            <span className="uk-form-icon uk-form-icon-flip" uk-icon="icon: lock" />
            <input
              className="add-user-btn uk-input"
              id="confirmPassword"
              type="password"
              name="confirmPassword"
              placeholder="Confirm password"
              autoComplete="off"
              required
            />
          </div>
        </div>
        <center>
          <button className="add-user-btn uk-button uk-button-secondary" disabled={isLoading}>
            {isLoading ? 'is loading...' : 'Add'}
          </button>
        </center>
        {error && <Error error={error.error} />}
      </form>
      {isModal && <Modal onClouseModal={onClouseModal} text="Новый пользователь успешно добавлен" />}
    </>
  );
}
