import { useState, useEffect } from 'react';
import { useSelector, useDispatch } from 'react-redux';
import CustomModal from '../Modal/CustomModal';
import AddUser from './AddUser';
import { initUsersFromServer } from '../../redux/actions/users.action';
import Table from '../Table/Table';
import './Users.css';

function Users(props) {
  const [isModalOpen, setIsModalOpen] = useState(false);
  const dispatch = useDispatch();
  const users = useSelector((state) => state.users);

  useEffect(() => {
    dispatch(initUsersFromServer());
  }, [dispatch]);

  const handleClose = () => {
    setIsModalOpen(false);
  };
  return (
    <>
      <div className="styled-table-wrapper">
        <Table data={users} />
      </div>
      <div className="users-btn-container">
        <button className="add-user-btn uk-button uk-button-secondary" onClick={() => setIsModalOpen(true)}>
          Add New User
        </button>
      </div>
      <CustomModal
        isOpen={isModalOpen}
        content={<AddUser clouseModal={handleClose} />}
        onClose={handleClose}
        showCloseButton={true}
        width={700} // Заданная ширина
        height={400} // Заданная высота
      />
    </>
  );
}

export default Users;
