import { LOGIN, LOGOUT,  IS_LOADING, IS_ERROR, } from '../types'
import axiosInstance from '../../config/axios.config';

export const isLoading = (data) => ({
  type: IS_LOADING,
})

export const isError = (data) => ({
  type: IS_ERROR,
  payload: data

})

export const login = (data) => ({
  type: LOGIN,
  payload: data
})

export const userLogin = (payload) => async (dispatch) => { 
  dispatch(isLoading())
  try {
    const {data} = await axiosInstance.post('/auth/login', payload)
    if(data.error){
      dispatch(isError(data))
    }
    else{
      localStorage.setItem("accessToken",data.accessToken)
      localStorage.setItem('id', data.id);
    dispatch(login(data))
  }
  } catch (error) {
    console.log(error);
  }
}

export const logout = (data) => ({
  type: LOGOUT,
})

export const userLogout = (payload) => async (dispatch) => { 
  try {
    await axiosInstance('/auth/logout')
    dispatch(logout())
    localStorage.removeItem('accessToken');
    localStorage.removeItem('id');
  }
   catch (error) {
    console.log(error);
  }
}
//добавить проверку data
export const checkAuth = () => async(dispatch) =>{
  try {
      const {data} = await axiosInstance('/auth/checkAuth')
      if(data.message === "Invalid tokens" || 'Request failed with status code 401'){
        localStorage.removeItem('accessToken');
        localStorage.removeItem('id');
        dispatch(logout())
      }
      localStorage.setItem('accessToken', data.accessToken);
      localStorage.setItem('id', data.id);
      dispatch(login(data))
  } catch (err) {
    localStorage.removeItem('accessToken');
    localStorage.removeItem('id');
    dispatch(logout())
    console.log(err);
  } 
}


