import {INIT_DEVICES, EDIT_DEVICE, INIT_INACTIV_DEVICES, FOR_EDIT_DEVICES, UPDATE_DEVICES} from '../types'
import axiosInstance from '../../config/axios.config';

export const initDevices = (device) => ({
  type: INIT_DEVICES,
  payload: device
})

export const initInactiveDevices = (device) => ({
  type: INIT_INACTIV_DEVICES,
  payload: device
})

export const forEditDevices = (device) => ({
  type: FOR_EDIT_DEVICES,
  payload: device
}) 

export const editDeviceNext = (device) => ({
  type: UPDATE_DEVICES,
  payload: device
}) 

export const editDevice = (device) => ({
  type: EDIT_DEVICE,
  payload: device
})

export const initDevicesFromServer = () => async (dispatch) => {
  try {
    const { data } = await axiosInstance('/devices')
    dispatch(forEditDevices(data.forEditDevices))
    dispatch(initDevices(data.allDevices))
  } catch (error) {
    console.log(error);
  }
}

export const editDeviceFromServer = (payload) => async (dispatch) => {
  try {
    const { data } = await axiosInstance.put('/devices', payload)
    
    if(data.litera || data.spsNumber || data.spsSection || data.spsSeriesID){
      dispatch(editDeviceNext(data))
    }
    else {
      dispatch(editDevice(data))
    }
  } catch (error) {
    console.log(error);
  }
}
