import { INIT_DEVICES, EDIT_DEVICE, INIT_INACTIV_DEVICES, FOR_EDIT_DEVICES, UPDATE_DEVICES } from "../types";
import {updateDevices} from '../../utils/updateDevices'
import {  moveDeviceToEdit } from '../../utils/moveDeviceToEdit'

export function devicesReducer(state = [], action) {
  const { type, payload } = action

  switch (type) {
    case INIT_DEVICES: {
      return { ...state, allDevices: payload }
    }
    case EDIT_DEVICE : {
      const newState = moveDeviceToEdit(state, payload);
      return newState;
    }
    case INIT_INACTIV_DEVICES : {
      return { ...state, inactivDevices: payload }
    }
    case FOR_EDIT_DEVICES : {
      return { ...state, forEditDevices: payload }
    }

    case UPDATE_DEVICES : {
      const newState = updateDevices(state, payload);
      return newState;
    }
    default:
      return state
  }
}
