require('dotenv').config();
const express = require('express');
const { createServer } = require('http');
const { Server } = require('socket.io');
const { config, socketCors } = require('./config/config');
const indexRouter = require('./routes/index.router');
const { webSocet } = require('./webSocket');
const logger = require('./utils/logger');

// connecting MongoDB
require('./db/dbConnect');

const PORT = process.env.PORT || 3000;

const app = express();

config(app);

const httpServer = createServer(app);

const io = new Server(httpServer, socketCors);

app.use('/', indexRouter);

webSocet(io);

httpServer.listen(PORT, async () => {
  logger.info(`Server running at http://127.0.0.1:${PORT}/`);
});

module.exports = io;
