const path = require('path');
const express = require('express');
const morgan = require('morgan');
const cors = require('cors');
const cookieParser = require('cookie-parser');

// cors для socket
const socketCors = {
  transports: ['websocket'],
  cors: {
    // origin: [process.env.CORS_ORIGIN],
    origin: '*',
    methods: ['GET', 'POST'],
    allowedHeaders: ['my-custom-header'],
    credentials: true,
    withCredentials: true,
  },
};
// конфигурация сервера
const config = (app) => {
  app.use(cors({
    origin: [process.env.CORS_ORIGIN],
    credentials: true,
  }));
  app.use(express.static(path.join(process.cwd(), 'public')));
  app.use(morgan('dev'));
  app.use(express.json());
  app.use(express.urlencoded({
    extended: true,
  }));
  app.use(cookieParser());
};

module.exports = { config, socketCors };
