/* eslint-disable consistent-return */
const { exec } = require('child_process');
const logger = require('../utils/logger');

const webhook = async (req, res) => {
  // Получить данные webhook от GitHub
  const { ref } = req.body;
  logger.info('ref', ref);

  // Проверить, был ли push в ветку main
  if (ref === 'refs/heads/main') {
    logger.info('ref === refs/heads/main');
    // Вызов скрипта развертывания
    exec('/root/ECOTECH_RS485/EcoTech_RS485_server/deploy.sh', (err, stdout, stderr) => {
      if (err) {
        logger.error(`Error: ${stderr}`);
        res.status(500).send(stderr);
        return;
      }

      logger.info(`Output: ${stdout}`);
      res.status(200).send(stdout);
    });
  } else {
    // Игнорировать push в другие ветки
    logger.info('Push was not to main branch, ignoring');
    res.status(200).send('Push was not to main branch, ignoring');
  }
};

module.exports = { webhook };
