const mongoose = require('mongoose');

const { Schema } = mongoose;

const devicesSchema = new Schema({
  spsSeriesID: {
    type: String,
    index: true,
  },
  spsNumber: {
    type: String,
    index: true,
  },
  spsSection: {
    type: String,
    index: true,
  },
  litera: {
    type: String,
    index: true,
  },
  uuid: {
    type: String,
    required: true,
    unique: true,
    index: true,
  },
  isAuthorized: {
    type: Boolean,
    default: false,
  },
  lastPacketAt: {
    type: Date,
    default: null,
  },
}, {
  timestamps: true,
});

devicesSchema.index({
  spsSeriesID: 1, spsNumber: 1, spsSection: 1, litera: 1,
});

module.exports = mongoose.model('Devices', devicesSchema);
