// Подключение модуля роутера из библиотеки Express
const router = require('express').Router();

// Подключение дочерних роутеров для обработки различных маршрутов
const userRouter = require('./user.router');
const packetsRouter = require('./packets.router');
const authRouter = require('./auth.router');
const webhookRouter = require('./webhook.router');
const deviceRouter = require('./devices.router');

// Настройка маршрутизации: указание пути и соответствующего роутера для его обработки
router.use('/webhook', webhookRouter);
router.use('/api/user', userRouter);
router.use('/api/packets', packetsRouter);
router.use('/api/auth', authRouter);
router.use('/api/devices', deviceRouter);

// Экспорт основного роутера для использования в других частях приложения
module.exports = router;
