const router = require('express').Router();
const { verifyTokenHttp } = require('../middleware/verifyToken');
const {
  initPackets, postInitPackets,
  editPackets,
  removePackets,
} = require('../controllers/packets.controller');

router.route('/')
  .post(postInitPackets)
  .put(editPackets)
  .delete(removePackets);

router.route('/paginated')
  .post(verifyTokenHttp, initPackets);

module.exports = router;
