const router = require('express').Router();
const { verifyTokenHttp } = require('../middleware/verifyToken');
const {
  initUser, createUser,
  editUser,
  removeUser,
} = require('../controllers/user.controller');

router.route('/')
  .get(verifyTokenHttp, initUser)
  .post(verifyTokenHttp, createUser)
  .put(editUser)
  .delete(removeUser);

module.exports = router;
