// eslint-disable-next-line import/no-extraneous-dependencies
const axios = require('axios');
const logger = require('../utils/logger');

const fetchData = async () => {
  try {
    const response = await axios.get('https://example.com');
    logger.info('Data fetched successfully', { data: response.data });
    return response;
  } catch (error) {
    logger.error('Error during fetch:', error);
    throw error;
  }
};

module.exports = { fetchData };
