const bcrypt = require('bcrypt');
const User = require('../db/models/user');
const logger = require('../utils/logger');

async function initUserFromServer() {
  try {
    const users = await User.find()
      .select('-password -__v');
    return users;
  } catch (error) {
    logger.error('Error init user', error);
    throw error;
  }
}

async function createUserFromServer(payload) {
  try {
    const { login, password, confirmPassword } = payload;
    if (password !== confirmPassword) {
      return { success: false, errors: 'Пaроли не совпадают' };
    }
    const hashPassword = await bcrypt.hash(password, 3);
    const newUser = await User.create({
      login,
      password: hashPassword,
    });
    return newUser;
  } catch (error) {
    logger.error('Error create user', error);
    throw error;
  }
}

async function updateUserFromServer(payload) {
  return payload;
}

async function removeUserFromServer(payload) {
  return payload;
}

module.exports = {
  initUserFromServer,
  createUserFromServer,
  updateUserFromServer,
  removeUserFromServer,
};
