const Packet = require('../db/models/packets'); // Путь к модели Mongoose для пакетов
const logger = require('./logger');

async function convertTimestamps() {
  try {
    const updateResult = await Packet.updateMany(
      // Условие: pack_dt больше определенного порога (миллисекунды)
      { pack_dt: { $gt: 1000000000000 } },
      // Обновление: конвертация в секунды
      [{ $set: { pack_dt: { $floor: { $divide: ['$pack_dt', 1000] } } } }],
    );

    logger.info('Conversion completed:', updateResult);
  } catch (error) {
    logger.error('Error during conversion:', error);
  }
}

module.exports = { convertTimestamps };
