const { createLogger, format, transports } = require('winston');

const logger = createLogger({
  level: 'info', // Минимальный уровень для записи в лог
  format: format.combine(
    format.timestamp({ format: 'YYYY-MM-DD HH:mm:ss' }),
    format.errors({ stack: true }),
    format.splat(),
    format.json(),
  ),
  defaultMeta: { service: 'EcoTech_RS485_server' }, // Название вашего сервиса
  transports: [
    new transports.File({ filename: 'error.log', level: 'error' }), // Файл для ошибок
    new transports.File({ filename: 'combined.log' }), // Файл для всех типов логов
  ],
});

if (process.env.NODE_ENV !== 'production') {
  logger.add(new transports.Console({
    format: format.combine(
      format.colorize(),
      format.simple(),
    ),
  }));
}

module.exports = logger;
