
let permissionPlugin = null

function permErrorCB() {
    console.warn('Some error occurred');
}

function permOkCB(permission) {
    return function (status) {
        if (!status.hasPermission) {
            permissionPlugin.requestPermission(permission, permReqOk(permission), permReqError);
        }
    }
}

function permReqError(message) {
    console.warn('Permission not granted: ', message);
}

function permReqOk(permission) {

    console.log(permission)
    if (!permission.hasPermission) {
        console.warn('Permission not granted ', permission)
    }

}
function execPermissions() {

    const permissionList = [
        permissionPlugin.ACCESS_COARSE_LOCATION,
        permissionPlugin.ACCESS_FINE_LOCATION,
        permissionPlugin.CHANGE_WIFI_STATE,
        permissionPlugin.ACCESS_WIFI_STATE,
        permissionPlugin.WRITE_EXTERNAL_STORAGE,
        permissionPlugin.ACCESS_NETWORK_STATE,
        permissionPlugin.INTERNET
    ]
    for (let permission of permissionList) {
        permissionPlugin.hasPermission(permission, function (status) {
            if (!status.hasPermission) {
                console.log("Checking permission ", permission)
                permissionPlugin.requestPermission(permission, permReqOk, permReqError);

            }
            else {
                console.log("Permission already granted ", permission)
            }
        }, null);
    }

    // for (let permission of permissionList) {
    //     console.log("Checking permission ", permission)
    //     cordova.plugins.permissions.checkPermission(permission)
    // }
}
document.addEventListener('deviceready', function () {
    permissionPlugin = cordova.plugins.permissions
    execPermissions();
}, false);